=== modified file 'client/client_priv.h'
--- client/client_priv.h	2009-04-17 21:01:47 +0000
+++ client/client_priv.h	2009-08-30 00:26:17 +0000
@@ -14,6 +14,8 @@
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
 /* Common defines for all clients */
+#ifndef CLIENT_CLIENT_PRIV_H
+#define CLIENT_CLIENT_PRIV_H
 
 #include <drizzled/global.h>
 #include <libdrizzle/drizzle_client.h>
@@ -93,3 +95,5 @@
   OPT_MAX_CLIENT_OPTION,
   OPT_SHOW_PROGRESS_SIZE
 };
+
+#endif /* CLIENT_CLIENT_PRIV_H */

=== modified file 'client/errname.h'
--- client/errname.h	2009-08-11 20:20:52 +0000
+++ client/errname.h	2009-08-30 00:26:17 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef _CLIENT_ERRNAME_H
-#define _CLIENT_ERRNAME_H
+#ifndef CLIENT_ERRNAME_H
+#define CLIENT_ERRNAME_H
 
 /* List of error names to error codes, available from 5.0 */
 
@@ -36,4 +36,4 @@
   std::map<std::string, uint32_t> error_code_map;
 };
 
-#endif /* _CLIENT_ERRNAME_H */
+#endif /* CLIENT_ERRNAME_H */

=== modified file 'drizzled/atomic/sun_studio.h'
--- drizzled/atomic/sun_studio.h	2009-07-02 03:41:45 +0000
+++ drizzled/atomic/sun_studio.h	2009-08-30 00:26:17 +0000
@@ -175,4 +175,4 @@
 }
 #endif /* defined(_KERNEL) || defined(_INT64_TYPE) */
 
-#endif /* DRIZZLED_ATOMIC_SOLARIS_H */
+#endif /* DRIZZLED_ATOMIC_SUN_STUDIO_H */

=== modified file 'drizzled/atomics.h'
--- drizzled/atomics.h	2009-08-28 03:36:57 +0000
+++ drizzled/atomics.h	2009-08-30 00:26:17 +0000
@@ -179,4 +179,4 @@
 
 }
 
-#endif /* DRIZZLED_ATOMIC_H */
+#endif /* DRIZZLED_ATOMICS_H */

=== modified file 'drizzled/base.h'
--- drizzled/base.h	2009-08-17 22:19:53 +0000
+++ drizzled/base.h	2009-08-30 00:26:17 +0000
@@ -26,8 +26,8 @@
  * @TODO Convert HA_XXX defines into enums and/or bitmaps
  */
 
-#ifndef DRIZZLE_SERVER_BASE_H
-#define DRIZZLE_SERVER_BASE_H
+#ifndef DRIZZLED_BASE_H
+#define DRIZZLED_BASE_H
 
 #define CHSIZE_USED
 
@@ -537,4 +537,4 @@
 
 #define HA_VARCHAR_PACKLENGTH(field_length) ((field_length) < 256 ? 1 :2)
 
-#endif /* DRIZZLE_SERVER_BASE_H */
+#endif /* DRIZZLED_BASE_H */

=== modified file 'drizzled/common.h'
--- drizzled/common.h	2009-08-04 06:52:55 +0000
+++ drizzled/common.h	2009-08-30 00:26:17 +0000
@@ -21,8 +21,8 @@
 ** Common definition between mysql server & client
 */
 
-#ifndef DRIZZLED_DRIZZLE_COMMON_H
-#define DRIZZLED_DRIZZLE_COMMON_H
+#ifndef DRIZZLED_COMMON_H
+#define DRIZZLED_COMMON_H
 
 #include <unistd.h>
 #include <stdint.h>
@@ -303,4 +303,4 @@
 #define NET_HEADER_SIZE 4		/* standard header size */
 #define COMP_HEADER_SIZE 3		/* compression header extra size */
 
-#endif
+#endif /* DRIZZLED_COMMON_H */

=== modified file 'drizzled/db.h'
--- drizzled/db.h	2009-07-09 01:35:10 +0000
+++ drizzled/db.h	2009-08-30 00:26:17 +0000
@@ -18,8 +18,8 @@
  */
 
 
-#ifndef DRIZZLE_SERVER_DB_H
-#define DRIZZLE_SERVER_DB_H
+#ifndef DRIZZLED_DB_H
+#define DRIZZLED_DB_H
 
 namespace drizzled { namespace message { class Schema; } }
 
@@ -37,4 +37,4 @@
 extern int creating_database; // How many database locks are made
 extern int creating_table;    // How many mysql_create_table() are running
 
-#endif
+#endif /* DRIZZLED_DB_H */

=== modified file 'drizzled/definitions.h'
--- drizzled/definitions.h	2009-08-18 07:19:56 +0000
+++ drizzled/definitions.h	2009-08-30 00:26:17 +0000
@@ -23,8 +23,8 @@
  * Mostly constants and some macros/functions used by the server
  */
 
-#ifndef DRIZZLE_SERVER_DEFINITIONS_H
-#define DRIZZLE_SERVER_DEFINITIONS_H
+#ifndef DRIZZLED_DEFINITIONS_H
+#define DRIZZLED_DEFINITIONS_H
 
 #include <drizzled/enum.h>
 
@@ -618,5 +618,5 @@
 #define f_no_default(x) (x & FIELDFLAG_NO_DEFAULT)
 #define f_is_hex_escape(x) ((x) & FIELDFLAG_HEX_ESCAPE)
 
-#endif /* DRIZZLE_SERVER_DEFINITIONS_H */
+#endif /* DRIZZLED_DEFINITIONS_H */
 

=== modified file 'drizzled/discrete_interval.h'
--- drizzled/discrete_interval.h	2009-02-12 22:45:08 +0000
+++ drizzled/discrete_interval.h	2009-08-30 00:26:17 +0000
@@ -18,8 +18,8 @@
  */
 
 
-#ifndef DRIZZLED_DISCRETE_INTERVALS_H
-#define DRIZZLED_DISCRETE_INTERVALS_H
+#ifndef DRIZZLED_DISCRETE_INTERVAL_H
+#define DRIZZLED_DISCRETE_INTERVAL_H
 
 /*
   Such interval is "discrete": it is the set of
@@ -175,4 +175,4 @@
 
 };
 
-#endif /* DRIZZLED_DISCRETE_INTERVALS_H */
+#endif /* DRIZZLED_DISCRETE_INTERVAL_H */

=== modified file 'drizzled/error.h'
--- drizzled/error.h	2009-06-16 03:02:59 +0000
+++ drizzled/error.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef _drizzled_error_h
-#define _drizzled_error_h
+#ifndef DRIZZLED_ERROR_H
+#define DRIZZLED_ERROR_H
 
 #ifdef  __cplusplus
 extern "C" {
@@ -728,5 +728,5 @@
 }
 #endif
 
-#endif
+#endif /* DRIZZLED_ERROR_H */
 

=== modified file 'drizzled/error_injection.h'
--- drizzled/error_injection.h	2009-02-21 00:18:15 +0000
+++ drizzled/error_injection.h	2009-08-30 00:26:17 +0000
@@ -17,16 +17,16 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef ERROR_INJECT_SUPPORT
 /**
  * @file
  *
  * Simple compile-time error injection module to enable easy
  * error printing in case of a crash
  */
-#ifndef DRIZZLE_SERVER_ERROR_INJECTION_H
-#define DRIZZLE_SERVER_ERROR_INJECTION_H
+#ifndef DRIZZLED_ERROR_INJECTION_H
+#define DRIZZLED_ERROR_INJECTION_H
 
+#ifndef ERROR_INJECT_SUPPORT
 /*
   Error injector Macros to enable easy testing of recovery after failures
   in various error cases.
@@ -114,5 +114,5 @@
 #define ERROR_INJECT_VALUE_CRASH(value) \
   ERROR_INJECT_VALUE_ACTION(value, (abort(), 0))
 
-#endif /* DRIZZLE_SERVER_ERROR_INJECTION_H */
 #endif /* ERROR_INJECT_SUPPORT */
+#endif /* DRIZZLED_ERROR_INJECTION_H */

=== modified file 'drizzled/field/blob.h'
--- drizzled/field/blob.h	2009-06-13 21:21:13 +0000
+++ drizzled/field/blob.h	2009-08-30 00:26:17 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLE_SERVER_FIELD_BLOB
-#define DRIZZLE_SERVER_FIELD_BLOB
+#ifndef DRIZZLED_FIELD_BLOB_H
+#define DRIZZLED_FIELD_BLOB_H
 
 #include <drizzled/field/str.h>
 
@@ -200,5 +200,5 @@
   int do_save_field_metadata(unsigned char *first_byte);
 };
 
-#endif
+#endif /* DRIZZLED_FIELD_BLOB_H */
 

=== modified file 'drizzled/field/date.h'
--- drizzled/field/date.h	2009-02-17 14:41:01 +0000
+++ drizzled/field/date.h	2009-08-30 00:26:17 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLE_SERVER_FIELD_DATE
-#define DRIZZLE_SERVER_FIELD_DATE
+#ifndef DRIZZLED_FIELD_DATE_H
+#define DRIZZLED_FIELD_DATE_H
 
 #include <drizzled/field/str.h>
 
@@ -65,5 +65,4 @@
   bool get_time(DRIZZLE_TIME *ltime);
 };
 
-#endif
-
+#endif /* DRIZZLED_FIELD_DATE_H */

=== modified file 'drizzled/field/datetime.h'
--- drizzled/field/datetime.h	2009-02-20 08:45:29 +0000
+++ drizzled/field/datetime.h	2009-08-30 00:26:17 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLE_SERVER_FIELD_DATETIME
-#define DRIZZLE_SERVER_FIELD_DATETIME
+#ifndef DRIZZLED_FIELD_DATETIME_H
+#define DRIZZLED_FIELD_DATETIME_H
 
 #include <drizzled/field/str.h>
 
@@ -68,5 +68,5 @@
   bool get_time(DRIZZLE_TIME *ltime);
 };
 
-#endif
+#endif /* DRIZZLED_FIELD_DATETIME_H */
 

=== modified file 'drizzled/field/decimal.h'
--- drizzled/field/decimal.h	2009-06-05 22:51:06 +0000
+++ drizzled/field/decimal.h	2009-08-30 00:26:17 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLE_SERVER_FIELD_NEW_DECIMAL
-#define DRIZZLE_SERVER_FIELD_NEW_DECIMAL
+#ifndef DRIZZLED_FIELD_DECIMAL_H
+#define DRIZZLED_FIELD_DECIMAL_H
 
 #include <drizzled/field/num.h>
 
@@ -81,5 +81,5 @@
                               uint32_t param_data, bool low_byte_first);
 };
 
-#endif
+#endif /* DRIZZLED_FIELD_DECIMAL_H */
 

=== modified file 'drizzled/field/double.h'
--- drizzled/field/double.h	2009-02-21 03:33:30 +0000
+++ drizzled/field/double.h	2009-08-30 00:26:17 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLE_SERVER_FIELD_DOUBLE
-#define DRIZZLE_SERVER_FIELD_DOUBLE
+#ifndef DRIZZLED_FIELD_DOUBLE_H
+#define DRIZZLED_FIELD_DOUBLE_H
 
 #include <drizzled/field/real.h>
 
@@ -68,5 +68,5 @@
   int do_save_field_metadata(unsigned char *first_byte);
 };
 
-#endif
+#endif /* DRIZZLED_FIELD_DOUBLE_H */
 

=== modified file 'drizzled/field/int64_t.h'
--- drizzled/field/int64_t.h	2009-02-20 08:45:29 +0000
+++ drizzled/field/int64_t.h	2009-08-30 00:26:17 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLE_SERVER_FIELD_INT_64_T
-#define DRIZZLE_SERVER_FIELD_INT_64_T
+#ifndef DRIZZLED_FIELD_INT64_T_H
+#define DRIZZLED_FIELD_INT64_T_H
 
 #include <drizzled/field/num.h>
 
@@ -79,4 +79,4 @@
 
 };
 
-#endif
+#endif /* DRIZZLED_FIELD_INT64_T_H */

=== modified file 'drizzled/field/long.h'
--- drizzled/field/long.h	2009-02-20 08:45:29 +0000
+++ drizzled/field/long.h	2009-08-30 00:26:17 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLE_SERVER_FIELD_LONG
-#define DRIZZLE_SERVER_FIELD_LONG
+#ifndef DRIZZLED_FIELD_LONG_H
+#define DRIZZLED_FIELD_LONG_H
 
 #include <drizzled/field/num.h>
 
@@ -71,5 +71,5 @@
                               bool low_byte_first);
 };
 
-#endif
+#endif /* DRIZZLED_FIELD_LONG_H */
 

=== modified file 'drizzled/field/null.h'
--- drizzled/field/null.h	2009-02-20 08:45:29 +0000
+++ drizzled/field/null.h	2009-08-30 00:26:17 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLE_SERVER_FIELD_NULL
-#define DRIZZLE_SERVER_FIELD_NULL
+#ifndef DRIZZLED_FIELD_NULL_H
+#define DRIZZLED_FIELD_NULL_H
 
 #include <drizzled/field/str.h>
 
@@ -68,5 +68,5 @@
   uint32_t max_display_length() { return 4; }
 };
 
-#endif
+#endif /* DRIZZLED_FIELD_NULL_H */
 

=== modified file 'drizzled/field/num.h'
--- drizzled/field/num.h	2009-06-05 23:18:55 +0000
+++ drizzled/field/num.h	2009-08-30 00:26:17 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLE_SERVER_FIELD_NUM
-#define DRIZZLE_SERVER_FIELD_NUM
+#ifndef DRIZZLED_FIELD_NUM_H
+#define DRIZZLED_FIELD_NUM_H
 
 class Field_num :public Field {
 public:
@@ -47,4 +47,4 @@
 };
 
 
-#endif
+#endif /* DRIZZLED_FIELD_NUM_H */

=== modified file 'drizzled/field/real.h'
--- drizzled/field/real.h	2009-02-20 08:45:29 +0000
+++ drizzled/field/real.h	2009-08-30 00:26:17 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLE_SERVER_FIELD_REAL
-#define DRIZZLE_SERVER_FIELD_REAL
+#ifndef DRIZZLED_FIELD_REAL_H
+#define DRIZZLED_FIELD_REAL_H
 
 #include <drizzled/field/num.h>
 
@@ -50,4 +50,4 @@
                       uint32_t max_length, bool low_byte_first);
 };
 
-#endif
+#endif /* DRIZZLED_FIELD_REAL_H */

=== modified file 'drizzled/field/str.h'
--- drizzled/field/str.h	2009-06-05 22:51:06 +0000
+++ drizzled/field/str.h	2009-08-30 00:26:17 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLE_SERVER_FIELD_STR
-#define DRIZZLE_SERVER_FIELD_STR
+#ifndef DRIZZLED_FIELD_STR_H
+#define DRIZZLED_FIELD_STR_H
 
 #include <drizzled/field.h>
 
@@ -96,4 +96,4 @@
                              const CHARSET_INFO * const cs);
 
 
-#endif
+#endif /* DRIZZLED_FIELD_STR_H */

=== modified file 'drizzled/field/timestamp.h'
--- drizzled/field/timestamp.h	2009-04-28 21:46:57 +0000
+++ drizzled/field/timestamp.h	2009-08-30 00:26:17 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLE_SERVER_FIELD_TIMESTAMP
-#define DRIZZLE_SERVER_FIELD_TIMESTAMP
+#ifndef DRIZZLED_FIELD_TIMESTAMP_H
+#define DRIZZLED_FIELD_TIMESTAMP_H
 
 #include <drizzled/field/str.h>
 
@@ -67,5 +67,5 @@
   timestamp_auto_set_type get_auto_set_type() const;
 };
 
-#endif
+#endif /* DRIZZLED_FIELD_TIMESTAMP_H */
 

=== modified file 'drizzled/field/varstring.h'
--- drizzled/field/varstring.h	2009-06-13 21:21:13 +0000
+++ drizzled/field/varstring.h	2009-08-30 00:26:17 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLE_SERVER_FIELD_VARSTRING
-#define DRIZZLE_SERVER_FIELD_VARSTRING
+#ifndef DRIZZLED_FIELD_VARSTRING_H
+#define DRIZZLED_FIELD_VARSTRING_H
 
 #include <drizzled/field/str.h>
 #include <string>
@@ -123,5 +123,5 @@
   int do_save_field_metadata(unsigned char *first_byte);
 };
 
-#endif
+#endif /* DRIZZLED_FIELD_VARSTRING_H */
 

=== modified file 'drizzled/filesort_info.h'
--- drizzled/filesort_info.h	2008-10-06 06:47:29 +0000
+++ drizzled/filesort_info.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLED_FILESORT_INFO_ST_H
-#define DRIZZLED_FILESORT_INFO_ST_H
+#ifndef DRIZZLED_FILESORT_INFO_H
+#define DRIZZLED_FILESORT_INFO_H
 
 /* Information on state of filesort */
 struct filesort_info_st
@@ -35,4 +35,4 @@
   ha_rows   found_records;      /* How many records in sort */
 };
 
-#endif /* DRIZZLED_FILESORT_INFO_ST_H */
+#endif /* DRIZZLED_FILESORT_INFO_H */

=== modified file 'drizzled/function/str/strfunc.h'
--- drizzled/function/str/strfunc.h	2009-05-24 18:17:38 +0000
+++ drizzled/function/str/strfunc.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLED_FUNCTION_STR_H
-#define DRIZZLED_FUNCTION_STR_H
+#ifndef DRIZZLED_FUNCTION_STR_STRFUNC_H
+#define DRIZZLED_FUNCTION_STR_STRFUNC_H
 
 
 #include <drizzled/function/func.h>
@@ -44,4 +44,4 @@
   bool fix_fields(Session *session, Item **ref);
 };
 
-#endif /* DRIZZLED_FUNCTION_STR_H */
+#endif /* DRIZZLED_FUNCTION_STR_STRFUNC_H */

=== modified file 'drizzled/gettext.h'
--- drizzled/gettext.h	2009-01-28 21:41:23 +0000
+++ drizzled/gettext.h	2009-08-30 00:26:17 +0000
@@ -18,8 +18,8 @@
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
    USA.  */
 
-#ifndef _LIBGETTEXT_H
-#define _LIBGETTEXT_H 1
+#ifndef DRIZZLED_GETTEXT_H
+#define DRIZZLED_GETTEXT_H
 
 /* NLS can be disabled through the configure --disable-nls option.  */
 #if defined(ENABLE_NLS)
@@ -274,4 +274,4 @@
 
 #define _(String)  gettext(String)
 #define N_(String) gettext_noop(String)
-#endif /* _LIBGETTEXT_H */
+#endif /* DRIZZLED_GETTEXT_H */

=== modified file 'drizzled/global.h'
--- drizzled/global.h	2009-07-09 00:04:44 +0000
+++ drizzled/global.h	2009-08-30 00:26:17 +0000
@@ -19,8 +19,8 @@
 
 /* This is the include file that should be included 'first' in every C file. */
 
-#ifndef DRIZZLE_SERVER_GLOBAL_H
-#define DRIZZLE_SERVER_GLOBAL_H
+#ifndef DRIZZLED_GLOBAL_H
+#define DRIZZLED_GLOBAL_H
 
 #if defined(i386) && !defined(__i386__)
 #define __i386__
@@ -372,4 +372,4 @@
 # define _DTRACE_VERSION 0
 #endif
 
-#endif /* DRIZZLE_SERVER_GLOBAL_H */
+#endif /* DRIZZLED_GLOBAL_H */

=== modified file 'drizzled/hybrid_type_traits_integer.h'
--- drizzled/hybrid_type_traits_integer.h	2008-11-15 18:39:51 +0000
+++ drizzled/hybrid_type_traits_integer.h	2009-08-30 00:26:17 +0000
@@ -52,4 +52,4 @@
   Hybrid_type_traits_integer();
 };
 
-#endif /* HYBRID_TYPE_TRAITS_INTEGER_H */
+#endif /* DRIZZLED_HYBRID_TYPE_TRAITS_INTEGER_H */

=== modified file 'drizzled/item/create.h'
--- drizzled/item/create.h	2009-08-17 20:54:05 +0000
+++ drizzled/item/create.h	2009-08-30 00:26:17 +0000
@@ -19,8 +19,8 @@
 
 /* Functions to create an item. Used by sql/sql_yacc.yy */
 
-#ifndef DRIZZLE_SERVER_ITEM_CREATE_H
-#define DRIZZLE_SERVER_ITEM_CREATE_H
+#ifndef DRIZZLED_ITEM_CREATE_H
+#define DRIZZLED_ITEM_CREATE_H
 
 #include <drizzled/item/func.h>
 #include <drizzled/plugin/function.h>
@@ -174,4 +174,4 @@
 int item_create_init();
 void item_create_cleanup();
 
-#endif /* DRIZZLE_SERVER_ITEM_CREATE_H */
+#endif /* DRIZZLED_ITEM_CREATE_H */

=== modified file 'drizzled/item/default_value.h'
--- drizzled/item/default_value.h	2009-05-14 07:17:50 +0000
+++ drizzled/item/default_value.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLED_ITEM_DEFAULT_H
-#define DRIZZLED_ITEM_DEFAULT_H
+#ifndef DRIZZLED_ITEM_DEFAULT_VALUE_H
+#define DRIZZLED_ITEM_DEFAULT_VALUE_H
 
 #include <drizzled/item/ident.h>
 #include <drizzled/item/field.h>
@@ -51,4 +51,4 @@
   Item *transform(Item_transformer transformer, unsigned char *args);
 };
 
-#endif /* DRIZZLED_ITEM_DEFAULT_H */
+#endif /* DRIZZLED_ITEM_DEFAULT_VALUE_H */

=== modified file 'drizzled/item/empty_string.h'
--- drizzled/item/empty_string.h	2009-06-05 23:18:55 +0000
+++ drizzled/item/empty_string.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLED_ITEM_EMPTRY_STRING_H
-#define DRIZZLED_ITEM_EMPTRY_STRING_H
+#ifndef DRIZZLED_ITEM_EMPTY_STRING_H
+#define DRIZZLED_ITEM_EMPTY_STRING_H
 
 /**
   Item_empty_string -- is a utility class to put an item into List<Item>
@@ -37,4 +37,4 @@
   void make_field(SendField *field);
 };
   
-#endif /* DRIZZLED_ITEM_EMPTRY_STRING_H */
+#endif /* DRIZZLED_ITEM_EMPTY_STRING_H */

=== modified file 'drizzled/item/func.h'
--- drizzled/item/func.h	2009-07-03 15:14:47 +0000
+++ drizzled/item/func.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLED_SERVER_ITEM_FUNC_H
-#define DRIZZLED_SERVER_ITEM_FUNC_H
+#ifndef DRIZZLED_ITEM_FUNC_H
+#define DRIZZLED_ITEM_FUNC_H
 
 
 /* If you fix the parser to no longer create functions these can be moved to create.cc */
@@ -44,4 +44,4 @@
   ITEM_CAST_DECIMAL
 };
 
-#endif /* DRIZZLE_SERVER_ITEM_FUNC_H */
+#endif /* DRIZZLED_ITEM_FUNC_H */

=== modified file 'drizzled/item/string.h'
--- drizzled/item/string.h	2009-06-05 22:51:06 +0000
+++ drizzled/item/string.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLED_ITEM_ITEM_STRING_H
-#define DRIZZLED_ITEM_ITEM_STRING_H
+#ifndef DRIZZLED_ITEM_STRING_H
+#define DRIZZLED_ITEM_STRING_H
 
 #include <drizzled/item/basic_constant.h>
 
@@ -154,4 +154,4 @@
   }
 };
 
-#endif /* DRIZZLED_ITEM_ITEM_STRING_H */
+#endif /* DRIZZLED_ITEM_STRING_H */

=== modified file 'drizzled/item/sum.h'
--- drizzled/item/sum.h	2009-07-31 20:29:49 +0000
+++ drizzled/item/sum.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLED_SUM_H
-#define DRIZZLED_SUM_H
+#ifndef DRIZZLED_ITEM_SUM_H
+#define DRIZZLED_ITEM_SUM_H
 
 /* classes for sum functions */
 

=== modified file 'drizzled/join_table.h'
--- drizzled/join_table.h	2009-08-20 21:45:52 +0000
+++ drizzled/join_table.h	2009-08-30 00:26:17 +0000
@@ -25,8 +25,8 @@
  * used in the nested loops join implementation.
  */
 
-#ifndef DRIZZLED_JOINTABLE_H
-#define DRIZZLED_JOINTABLE_H
+#ifndef DRIZZLED_JOIN_TABLE_H
+#define DRIZZLED_JOIN_TABLE_H
 
 #include <drizzled/enum_nested_loop_state.h>
 #include <drizzled/table_reference.h>
@@ -195,4 +195,4 @@
   void readCachedRecord();
 };
 
-#endif /* DRIZZLED_JOINTABLE_H */
+#endif /* DRIZZLED_JOIN_TABLE_H */

=== modified file 'drizzled/key_map.h'
--- drizzled/key_map.h	2009-05-09 22:13:47 +0000
+++ drizzled/key_map.h	2009-08-30 00:26:17 +0000
@@ -41,4 +41,4 @@
 void set_prefix(key_map& map, const uint32_t n);
 void key_map_subtract(key_map& map1, key_map& map2);
 
-#endif
+#endif /* DRIZZLED_KEY_MAP_H */

=== modified file 'drizzled/lex_symbol.h'
--- drizzled/lex_symbol.h	2009-01-30 00:53:14 +0000
+++ drizzled/lex_symbol.h	2009-08-30 00:26:17 +0000
@@ -20,8 +20,8 @@
 
 /* This struct includes all reserved words and functions */
 
-#ifndef _lex_symbol_h
-#define _lex_symbol_h
+#ifndef DRIZZLED_LEX_SYMBOL_H
+#define DRIZZLED_LEX_SYMBOL_H
 
 typedef struct st_sym_group {
   const char *name;
@@ -46,4 +46,4 @@
 extern SYM_GROUP sym_group_rtree;
 
 
-#endif /* _lex_symbol_h */
+#endif /* DRIZZLED_LEX_SYMBOL_H */

=== modified file 'drizzled/message/binlog_encoding.h'
--- drizzled/message/binlog_encoding.h	2009-07-26 03:10:33 +0000
+++ drizzled/message/binlog_encoding.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLED_SERIALIZE_BINLOG_ENCODING_H
-#define DRIZZLED_SERIALIZE_BINLOG_ENCODING_H
+#ifndef DRIZZLED_MESSAGE_BINLOG_ENCODING_H
+#define DRIZZLED_MESSAGE_BINLOG_ENCODING_H
 
 #include <cstdlib>
 #include <cassert>
@@ -96,4 +96,4 @@
   return (peek < 2) ? (1 << (peek + 1)) + 1 : 1;
 }
 
-#endif /*  DRIZZLED_SERIALIZE_BINLOG_ENCODING_H */
+#endif /* DRIZZLED_MESSAGE_BINLOG_ENCODING_H */

=== modified file 'drizzled/message/ioutil.h'
--- drizzled/message/ioutil.h	2009-08-27 15:40:07 +0000
+++ drizzled/message/ioutil.h	2009-08-30 00:26:17 +0000
@@ -17,6 +17,9 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
+#ifndef DRIZZLED_MESSAGE_IOUTIL_H
+#define DRIZZLED_MESSAGE_IOUTIL_H
+
 #include <iosfwd>
 #include <string>
 
@@ -90,3 +93,5 @@
 } /* namespace ioutil */
 } /* namespace message */
 } /* namespace drizzled */
+
+#endif /* DRIZZLED_MESSAGE_IOUTIL_H */

=== modified file 'drizzled/my_decimal.h'
--- drizzled/my_decimal.h	2009-03-18 00:29:24 +0000
+++ drizzled/my_decimal.h	2009-08-30 00:26:17 +0000
@@ -29,8 +29,8 @@
   Most function are just inline wrappers around library calls
 */
 
-#ifndef my_decimal_h
-#define my_decimal_h
+#ifndef DRIZZLED_MY_DECIMAL_H
+#define DRIZZLED_MY_DECIMAL_H
 
 #ifdef __cplusplus
 extern "C" {
@@ -401,5 +401,5 @@
 void my_decimal_trim(uint32_t *precision, uint32_t *scale);
 
 
-#endif /*my_decimal_h*/
+#endif /* DRIZZLED_MY_DECIMAL_H */
 

=== modified file 'drizzled/opt_range.h'
--- drizzled/opt_range.h	2009-07-30 02:39:13 +0000
+++ drizzled/opt_range.h	2009-08-30 00:26:17 +0000
@@ -790,4 +790,4 @@
                                              ha_rows records);
 uint32_t get_index_for_order(Table *table, order_st *order, ha_rows limit);
 
-#endif
+#endif /* DRIZZLED_OPT_RANGE_H */

=== modified file 'drizzled/plugin.h'
--- drizzled/plugin.h	2009-08-17 20:54:05 +0000
+++ drizzled/plugin.h	2009-08-30 00:26:17 +0000
@@ -541,5 +541,5 @@
 }
 #endif
 
-#endif /* _my_plugin_h */
+#endif /* DRIZZLED_PLUGIN_H */
 

=== modified file 'drizzled/plugin/error_message_handler.h'
--- drizzled/plugin/error_message_handler.h	2009-05-11 17:50:22 +0000
+++ drizzled/plugin/error_message_handler.h	2009-08-30 00:26:17 +0000
@@ -1,9 +1,8 @@
-/*
- -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
- *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
-
+/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ * vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
  *  Definitions required for Error Message plugin
-
+ *
  *  Copyright (C) 2008 Sun Microsystems
  *
  *  This program is free software; you can redistribute it and/or modify
@@ -20,8 +19,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLED_PLUGIN_ERRMSG_H
-#define DRIZZLED_PLUGIN_ERRMSG_H
+#ifndef DRIZZLED_PLUGIN_ERROR_MESSAGE_HANDLER_H
+#define DRIZZLED_PLUGIN_ERROR_MESSAGE_HANDLER_H
 
 #include <stdarg.h>
 #include <string>
@@ -40,4 +39,4 @@
                       const char *format, va_list ap)=0;
 };
 
-#endif /* DRIZZLED_PLUGIN_ERRMSG_H */
+#endif /* DRIZZLED_PLUGIN_ERROR_MESSAGE_HANDLER_H */

=== modified file 'drizzled/plugin/logging_handler.h'
--- drizzled/plugin/logging_handler.h	2009-05-11 17:50:22 +0000
+++ drizzled/plugin/logging_handler.h	2009-08-30 00:26:17 +0000
@@ -20,8 +20,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLED_PLUGIN_LOGGING_H
-#define DRIZZLED_PLUGIN_LOGGING_H
+#ifndef DRIZZLED_PLUGIN_LOGGING_HANDLER_H
+#define DRIZZLED_PLUGIN_LOGGING_HANDLER_H
 
 #include <string>
 
@@ -42,4 +42,4 @@
   virtual bool post(Session *) {return false;}
 };
 
-#endif /* DRIZZLED_PLUGIN_LOGGING_H */
+#endif /* DRIZZLED_PLUGIN_LOGGING_HANDLER_H */

=== modified file 'drizzled/plugin/qcache.h'
--- drizzled/plugin/qcache.h	2009-05-11 17:50:22 +0000
+++ drizzled/plugin/qcache.h	2009-08-30 00:26:17 +0000
@@ -1,9 +1,8 @@
-/*
- -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
- *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
-
+/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ * vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
  *  Definitions required for Query Cache plugin
-
+ *
  *  Copyright (C) 2008 Sun Microsystems, Toru Maesaka
  *
  *  This program is free software; you can redistribute it and/or modify
@@ -20,8 +19,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLED_PLUGIN_QUERY_CACHE_H
-#define DRIZZLED_PLUGIN_QUERY_CACHE_H
+#ifndef DRIZZLED_PLUGIN_QCACHE_H
+#define DRIZZLED_PLUGIN_QCACHE_H
 
 /* 
   This is the API that a qcache plugin must implement.
@@ -53,4 +52,4 @@
   virtual bool flush(Session *session)= 0;
 };
 
-#endif /* DRIZZLED_PLUGIN_QUERY_CACHE_H */
+#endif /* DRIZZLED_PLUGIN_QCACHE_H */

=== modified file 'drizzled/query_id.h'
--- drizzled/query_id.h	2009-03-30 18:17:18 +0000
+++ drizzled/query_id.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLED_GLOBAL_QUERY_ID_H
-#define DRIZZLED_GLOBAL_QUERY_ID_H
+#ifndef DRIZZLED_QUERY_ID_H
+#define DRIZZLED_QUERY_ID_H
 
 #include <pthread.h>
 #include <drizzled/atomics.h>
@@ -46,4 +46,4 @@
   Query_id& operator=(Query_id const&);
 };
 
-#endif
+#endif /* DRIZZLED_QUERY_ID_H */

=== modified file 'drizzled/select_max_min_finder_subselect.h'
--- drizzled/select_max_min_finder_subselect.h	2009-02-08 03:02:04 +0000
+++ drizzled/select_max_min_finder_subselect.h	2009-08-30 00:26:17 +0000
@@ -17,10 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-
-#ifndef DRIZZLED_SELECT_MIN_MAX_FINDER_SUBSELECT_H
-#define DRIZZLED_SELECT_MIN_MAX_FINDER_SUBSELECT_H
-
+#ifndef DRIZZLED_SELECT_MAX_MIN_FINDER_SUBSELECT_H
+#define DRIZZLED_SELECT_MAX_MIN_FINDER_SUBSELECT_H
 
 /* used in independent ALL/ANY optimisation */
 class select_max_min_finder_subselect :public select_subselect
@@ -40,4 +38,4 @@
   bool cmp_str();
 };
 
-#endif /* DRIZZLED_SELECT_MIN_MAX_FINDER_SUBSELECT_H */
+#endif /* DRIZZLED_SELECT_MAX_MIN_FINDER_SUBSELECT_H */

=== modified file 'drizzled/set_var.h'
--- drizzled/set_var.h	2009-08-13 21:22:40 +0000
+++ drizzled/set_var.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLED_ITEM_SET_H
-#define DRIZZLED_ITEM_SET_H
+#ifndef DRIZZLED_SET_VAR_H
+#define DRIZZLED_SET_VAR_H
 
 #include <drizzled/function/func.h>
 #include <drizzled/function/set_user_var.h>
@@ -1055,4 +1055,4 @@
 
 extern sys_var_str sys_var_general_log_path, sys_var_slow_log_path;
 
-#endif /* DRIZZLED_ITEM_SET_H */
+#endif /* DRIZZLED_SET_VAR_H */

=== modified file 'drizzled/show.h'
--- drizzled/show.h	2009-08-04 14:13:13 +0000
+++ drizzled/show.h	2009-08-30 00:26:17 +0000
@@ -24,15 +24,15 @@
  * will eventually go away, but for now we split these definitions out into
  * their own header file for easier maintenance
  */
-#ifndef DRIZZLE_SERVER_SHOW_H
-#define DRIZZLE_SERVER_SHOW_H
-
-#include <drizzled/sql_list.h>
-#include <drizzled/lex_string.h>
-#include <drizzled/sql_parse.h>
+#ifndef DRIZZLED_SHOW_H
+#define DRIZZLED_SHOW_H
 
 #include <vector>
 
+#include "drizzled/sql_list.h"
+#include "drizzled/lex_string.h"
+#include "drizzled/sql_parse.h"
+
 /* Forward declarations */
 class String;
 class JOIN;
@@ -94,4 +94,4 @@
 void add_infoschema_table(InfoSchemaTable *schema_table);
 void remove_infoschema_table(InfoSchemaTable *table);
 
-#endif /* DRIZZLE_SERVER_SHOW_H */
+#endif /* DRIZZLED_SHOW_H */

=== modified file 'drizzled/sql_alloc.h'
--- drizzled/sql_alloc.h	2009-06-08 18:19:53 +0000
+++ drizzled/sql_alloc.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLE_SERVER_SQL_ALLOC_H
-#define DRIZZLE_SERVER_SQL_ALLOC_H
+#ifndef DRIZZLED_SQL_ALLOC_H
+#define DRIZZLED_SQL_ALLOC_H
 
 #include <mysys/my_alloc.h>
 #include <mystrings/m_ctype.h>
@@ -70,4 +70,4 @@
 
 };
 
-#endif /* DRIZZLE_SERVER_SQL_ALLOC_H */
+#endif /* DRIZZLED_SQL_ALLOC_H */

=== modified file 'drizzled/sql_bitmap.h'
--- drizzled/sql_bitmap.h	2009-07-28 05:06:29 +0000
+++ drizzled/sql_bitmap.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef _SQL_BITMAP_H_
-#define _SQL_BITMAP_H_
+#ifndef DRIZZLED_SQL_BITMAP_H
+#define DRIZZLED_SQL_BITMAP_H
 
 /*
   Implementation of a bitmap type.
@@ -37,4 +37,4 @@
 typedef uint64_t table_map;          /* Used for table bits in join */
 typedef uint32_t nesting_map;  /* Used for flags of nesting constructs */
 
-#endif /* _SQL_BITMAP_H_ */
+#endif /* DRIZZLED_SQL_BITMAP_H */

=== modified file 'drizzled/sql_list.h'
--- drizzled/sql_list.h	2009-02-21 00:18:15 +0000
+++ drizzled/sql_list.h	2009-08-30 00:26:17 +0000
@@ -620,4 +620,4 @@
 void free_list(I_List <i_string> *list);
 
 
-#endif // DRIZZLED_SQL_LIST_H
+#endif /* DRIZZLED_SQL_LIST_H */

=== modified file 'drizzled/sql_locale.h'
--- drizzled/sql_locale.h	2009-05-21 00:57:05 +0000
+++ drizzled/sql_locale.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLE_SERVER_LOCALE_H
-#define DRIZZLE_SERVER_LOCALE_H
+#ifndef DRIZZLED_SQL_LOCALE_H
+#define DRIZZLED_SQL_LOCALE_H
 
 typedef struct my_locale_st
 {
@@ -48,4 +48,4 @@
 MY_LOCALE *my_locale_by_name(const char *name);
 MY_LOCALE *my_locale_by_number(uint32_t number);
 
-#endif /* DRIZZLE_SERVER_LOCALE_H */
+#endif /* DRIZZLED_SQL_LOCALE_H */

=== modified file 'drizzled/sql_parse.h'
--- drizzled/sql_parse.h	2009-08-05 07:19:17 +0000
+++ drizzled/sql_parse.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLE_SERVER_SQL_PARSE_H
-#define DRIZZLE_SERVER_SQL_PARSE_H
+#ifndef DRIZZLED_SQL_PARSE_H
+#define DRIZZLED_SQL_PARSE_H
 
 #include <stdint.h>
 
@@ -90,4 +90,4 @@
                                 bool all,
                                 Select_Lex *select_lex);
 
-#endif /* DRIZZLE_SERVER_SQL_PARSE_H */
+#endif /* DRIZZLED_SQL_PARSE_H */

=== modified file 'drizzled/sql_plugin.h'
--- drizzled/sql_plugin.h	2009-08-05 09:29:04 +0000
+++ drizzled/sql_plugin.h	2009-08-30 00:26:17 +0000
@@ -33,8 +33,8 @@
  *
  */
 
-#ifndef DRIZZLE_SERVER_PLUGIN_H
-#define DRIZZLE_SERVER_PLUGIN_H
+#ifndef DRIZZLED_SQL_PLUGIN_H
+#define DRIZZLED_SQL_PLUGIN_H
 
 #include <drizzled/plugin.h>
 #include <drizzled/plugin/manifest.h>
@@ -62,4 +62,4 @@
 extern void plugin_sessionvar_cleanup(Session *session);
 extern sys_var *intern_find_sys_var(const char *str, uint32_t, bool no_error);
 
-#endif /* DRIZZLE_SERVER_PLUGIN_H */
+#endif /* DRIZZLED_SQL_PLUGIN_H */

=== modified file 'drizzled/sql_sort.h'
--- drizzled/sql_sort.h	2009-03-14 03:03:13 +0000
+++ drizzled/sql_sort.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef _DRIZZLED_SQL_SORT_H
-#define _DRIZZLED_SQL_SORT_H
+#ifndef DRIZZLED_SQL_SORT_H
+#define DRIZZLED_SQL_SORT_H
 
 typedef struct st_sort_field SORT_FIELD;
 
@@ -96,4 +96,4 @@
 		  BUFFPEK *lastbuff,BUFFPEK *Fb,
 		  BUFFPEK *Tb,int flag);
 
-#endif
+#endif /* DRIZZLED_SQL_SORT_H */

=== modified file 'drizzled/sql_state.h'
--- drizzled/sql_state.h	2009-04-03 20:40:31 +0000
+++ drizzled/sql_state.h	2009-08-30 00:26:17 +0000
@@ -17,9 +17,9 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef _drizzled_sql_state_h
-#define _drizzled_sql_state_h
+#ifndef DRIZZLED_SQL_STATE_H
+#define DRIZZLED_SQL_STATE_H
 
 const char *drizzle_errno_to_sqlstate(uint32_t drizzle_errno);
 
-#endif
+#endif /* DRIZZLED_SQL_STATE_H */

=== modified file 'drizzled/sql_string.h'
--- drizzled/sql_string.h	2009-06-08 18:19:53 +0000
+++ drizzled/sql_string.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLE_SERVER_SQL_STRING_H
-#define DRIZZLE_SERVER_SQL_STRING_H
+#ifndef DRIZZLED_SQL_STRING_H
+#define DRIZZLED_SQL_STRING_H
 
 /* This file is originally from the mysql distribution. Coded by monty */
 
@@ -385,4 +385,4 @@
 bool operator!=(const String &s1, const String &s2);
 }
 
-#endif /* DRIZZLE_SERVER_SQL_STRING_H */
+#endif /* DRIZZLED_SQL_STRING_H */

=== modified file 'drizzled/sql_table.h'
--- drizzled/sql_table.h	2009-08-17 15:34:55 +0000
+++ drizzled/sql_table.h	2009-08-30 00:26:17 +0000
@@ -23,8 +23,8 @@
   Routines to drop, repair, optimize, analyze, and check a schema table
 
 */
-#ifndef DRIZZLE_SERVER_SQL_TABLE_H
-#define DRIZZLE_SERVER_SQL_TABLE_H
+#ifndef DRIZZLED_SQL_TABLE_H
+#define DRIZZLED_SQL_TABLE_H
 
 class Session;
 class TableList;
@@ -65,4 +65,4 @@
 bool is_primary_key(KEY *key_info);
 const char* is_primary_key_name(const char* key_name);
 
-#endif /* DRIZZLE_SERVER_SQL_TABLE_H */
+#endif /* DRIZZLED_SQL_TABLE_H */

=== modified file 'drizzled/stacktrace.h'
--- drizzled/stacktrace.h	2009-03-22 07:55:08 +0000
+++ drizzled/stacktrace.h	2009-08-30 00:26:17 +0000
@@ -17,6 +17,9 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
+#ifndef DRIZZLED_STACKTRACE_H
+#define DRIZZLED_STACKTRACE_H
+
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -60,3 +63,5 @@
 #ifdef  __cplusplus
 }
 #endif
+
+#endif /* DRIZZLED_STACKTRACE_H */

=== modified file 'drizzled/statement/select.h'
--- drizzled/statement/select.h	2009-08-10 18:03:39 +0000
+++ drizzled/statement/select.h	2009-08-30 00:26:17 +0000
@@ -43,7 +43,6 @@
 };
 
 } /* end namespace statement */
-
 } /* end namespace drizzled */
 
-#endif /* DRIZZLED_STATEMENT_DEFAULT_SELECT_H */
+#endif /* DRIZZLED_STATEMENT_SELECT_H */

=== modified file 'drizzled/table_map_iterator.h'
--- drizzled/table_map_iterator.h	2008-11-12 17:42:40 +0000
+++ drizzled/table_map_iterator.h	2009-08-30 00:26:17 +0000
@@ -33,4 +33,4 @@
   enum { BITMAP_END= 64 };
 };
 
-#endif
+#endif /* DRIZZLED_TABLE_MAP_ITERATOR_H */

=== modified file 'drizzled/table_proto.h'
--- drizzled/table_proto.h	2009-07-26 12:12:34 +0000
+++ drizzled/table_proto.h	2009-08-30 00:26:17 +0000
@@ -43,4 +43,4 @@
                      uint32_t keys,
                      KEY *key_info);
 
-#endif
+#endif /* DRIZZLED_TABLE_PROTO_H */

=== modified file 'drizzled/table_share.h'
--- drizzled/table_share.h	2009-08-20 20:29:18 +0000
+++ drizzled/table_share.h	2009-08-30 00:26:17 +0000
@@ -23,6 +23,9 @@
   instance of table share per one table in the database.
 */
 
+#ifndef DRIZZLED_TABLE_SHARE_H
+#define DRIZZLED_TABLE_SHARE_H
+
 #include <string>
 
 
@@ -389,3 +392,5 @@
                               TableList *table_list, char *key,
                               uint32_t key_length, uint32_t, int *error);
 };
+
+#endif /* DRIZZLED_TABLE_SHARE_H */

=== modified file 'drizzled/temporal_format.h'
--- drizzled/temporal_format.h	2009-07-10 00:01:50 +0000
+++ drizzled/temporal_format.h	2009-08-30 00:26:17 +0000
@@ -28,8 +28,8 @@
  * Defines the API for matching datetime formats.
  */
 
-#ifndef DRIZZLED_TEMPORAL_FORMAT_MATCH_H
-#define DRIZZLED_TEMPORAL_FORMAT_MATCH_H
+#ifndef DRIZZLED_TEMPORAL_FORMAT_H
+#define DRIZZLED_TEMPORAL_FORMAT_H
 
 #include PCRE_HEADER
 
@@ -150,4 +150,4 @@
  */
 void deinit_temporal_formats();
 
-#endif /* DRIZZLED_TEMPORAL_FORMAT_MATCH_H */
+#endif /* DRIZZLED_TEMPORAL_FORMAT_H */

=== modified file 'drizzled/temporal_interval.h'
--- drizzled/temporal_interval.h	2009-07-28 19:16:29 +0000
+++ drizzled/temporal_interval.h	2009-08-30 00:26:17 +0000
@@ -20,7 +20,12 @@
  *  along with this program; if not, write to the Free Software
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
-#include <drizzled/item.h>
+
+#ifndef DRIZZLED_TEMPORAL_INTERVAL_H
+#define DRIZZLED_TEMPORAL_INTERVAL_H
+
+/* @TODO Replace this include with some forward decls */
+#include "drizzled/item.h"
 
 namespace drizzled 
 {
@@ -172,3 +177,5 @@
 };
 
 } /* end namespace drizzled */
+
+#endif /* DRIZZLED_TEMPORAL_INTERVAL_H */

=== modified file 'drizzled/tzfile.h'
--- drizzled/tzfile.h	2008-12-06 19:42:46 +0000
+++ drizzled/tzfile.h	2009-08-30 00:26:17 +0000
@@ -28,6 +28,9 @@
   Information about time zone files.
 */
 
+#ifndef DRIZZLED_TZFILE_H
+#define DRIZZLED_TZFILE_H
+
 #ifndef TZDIR
 #define TZDIR	"/usr/share/zoneinfo" /* Time zone object file directory */
 #endif /* !defined TZDIR */
@@ -139,3 +142,5 @@
 */
 
 #define isleap(y) (((y) % 4) == 0 && (((y) % 100) != 0 || ((y) % 400) == 0))
+
+#endif /* DRIZZLED_TZFILE_H */

=== modified file 'drizzled/tztime.h'
--- drizzled/tztime.h	2008-12-22 04:53:24 +0000
+++ drizzled/tztime.h	2009-08-30 00:26:17 +0000
@@ -18,6 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
+#ifndef DRIZZLED_TZTIME_H
+#define DRIZZLED_TZTIME_H
 
 /**
   This class represents abstract time zone and provides
@@ -63,3 +65,5 @@
 extern bool     my_tz_init(Session *org_session, const char *default_tzname);
 extern void        my_tz_free();
 extern time_t   sec_since_epoch_TIME(DRIZZLE_TIME *t);
+
+#endif /* DRIZZLED_TZTIME_H */

=== modified file 'drizzled/utf8.h'
--- drizzled/utf8.h	2009-02-13 01:00:48 +0000
+++ drizzled/utf8.h	2009-08-30 00:26:17 +0000
@@ -25,10 +25,10 @@
 */
 
 
-#ifndef UTF8_FOR_CPP_2675DCD0_9480_4c0c_B92A_CC14C027B731
-#define UTF8_FOR_CPP_2675DCD0_9480_4c0c_B92A_CC14C027B731
+#ifndef DRIZZLED_UTF8_H
+#define DRIZZLED_UTF8_H
 
 #include "drizzled/utf8/checked.h"
 #include "drizzled/utf8/unchecked.h"
 
-#endif // header guard
+#endif /* DRIZZLED_UTF8_H */

=== modified file 'drizzled/utf8/checked.h'
--- drizzled/utf8/checked.h	2009-02-13 01:00:48 +0000
+++ drizzled/utf8/checked.h	2009-08-30 00:26:17 +0000
@@ -25,8 +25,8 @@
 */
 
 
-#ifndef UTF8_FOR_CPP_CHECKED_H_2675DCD0_9480_4c0c_B92A_CC14C027B731
-#define UTF8_FOR_CPP_CHECKED_H_2675DCD0_9480_4c0c_B92A_CC14C027B731
+#ifndef DRIZZLED_UTF8_CHECKED_H
+#define DRIZZLED_UTF8_CHECKED_H
 
 #include "drizzled/utf8/core.h"
 #include <stdexcept>
@@ -313,6 +313,6 @@
 
 } // namespace utf8
 
-#endif //header guard
+#endif /* DRIZZLED_UTF8_CHECKED_H */
 
 

=== modified file 'drizzled/utf8/core.h'
--- drizzled/utf8/core.h	2009-02-13 01:00:48 +0000
+++ drizzled/utf8/core.h	2009-08-30 00:26:17 +0000
@@ -25,8 +25,8 @@
 */
 
 
-#ifndef UTF8_FOR_CPP_CORE_H_2675DCD0_9480_4c0c_B92A_CC14C027B731
-#define UTF8_FOR_CPP_CORE_H_2675DCD0_9480_4c0c_B92A_CC14C027B731
+#ifndef DRIZZLED_UTF8_CORE_H
+#define DRIZZLED_UTF8_CORE_H
 
 #include <iterator>
 #include CSTDINT_H
@@ -249,6 +249,6 @@
     }
 } // namespace utf8
 
-#endif // header guard
+#endif /* DRIZZLED_UTF8_CORE_H */
 
 

=== modified file 'drizzled/utf8/unchecked.h'
--- drizzled/utf8/unchecked.h	2009-02-13 01:00:48 +0000
+++ drizzled/utf8/unchecked.h	2009-08-30 00:26:17 +0000
@@ -25,8 +25,8 @@
 */
 
 
-#ifndef UTF8_FOR_CPP_UNCHECKED_H_2675DCD0_9480_4c0c_B92A_CC14C027B731
-#define UTF8_FOR_CPP_UNCHECKED_H_2675DCD0_9480_4c0c_B92A_CC14C027B731
+#ifndef DRIZZLED_UTF8_UNCHECKED_H
+#define DRIZZLED_UTF8_UNCHECKED_H
 
 #include "drizzled/utf8/core.h"
 
@@ -224,5 +224,5 @@
 } // namespace utf8 
 
 
-#endif // header guard
+#endif /* DRIZZLED_UTF8_UNCHECKED_H */
 

=== modified file 'drizzled/util/convert.h'
--- drizzled/util/convert.h	2009-04-05 17:47:33 +0000
+++ drizzled/util/convert.h	2009-08-30 00:26:17 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLE_SERVER_UTIL_CONVERT
-#define DRIZZLE_SERVER_UTIL_CONVERT
+#ifndef DRIZZLED_UTIL_CONVERT_H
+#define DRIZZLED_UTIL_CONVERT_H
 
 #include <string>
 #include <iostream>
@@ -48,4 +48,4 @@
                                   uint64_t from_size);
 }
 
-#endif
+#endif /* DRIZZLED_UTIL_CONVERT_H */

=== modified file 'drizzled/util/test.h'
--- drizzled/util/test.h	2008-10-09 22:38:27 +0000
+++ drizzled/util/test.h	2009-08-30 00:26:17 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLE_SERVER_UTIL_TEST
-#define DRIZZLE_SERVER_UTIL_TEST
+#ifndef DRIZZLED_UTIL_TEST_H
+#define DRIZZLED_UTIL_TEST_H
 
 #if defined(__cplusplus)
 
@@ -40,4 +40,4 @@
 # define test_all_bits(a,b) (((a) & (b)) == (b))
 #endif
 
-#endif
+#endif /* DRIZZLED_UTIL_TEST_H */

=== modified file 'mystrings/decimal.h'
--- mystrings/decimal.h	2008-11-07 05:45:40 +0000
+++ mystrings/decimal.h	2009-08-30 00:26:17 +0000
@@ -13,8 +13,8 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
-#ifndef _decimal_h
-#define _decimal_h
+#ifndef MYSTRINGS_DECIMAL_H
+#define MYSTRINGS_DECIMAL_H
 
 #if defined(__cplusplus)
 extern "C" {
@@ -111,5 +111,5 @@
 }
 #endif
 
-#endif
+#endif /* MYSTRINGS_DECIMAL_H */
 

=== modified file 'mystrings/m_ctype.h'
--- mystrings/m_ctype.h	2009-07-09 00:04:44 +0000
+++ mystrings/m_ctype.h	2009-08-30 00:26:17 +0000
@@ -18,8 +18,8 @@
   Notes:   drizzled/global.h should be included before ctype.h
 */
 
-#ifndef _m_ctype_h
-#define _m_ctype_h
+#ifndef MYSTRINGS_M_CTYPE_H
+#define MYSTRINGS_M_CTYPE_H
 
 #include <stdint.h>
 #include <sys/types.h>
@@ -732,4 +732,4 @@
 }
 #endif
 
-#endif /* _m_ctype_h */
+#endif /* MYSTRINGS_M_CTYPE_H */

=== modified file 'mystrings/m_string.h'
--- mystrings/m_string.h	2009-04-28 05:56:07 +0000
+++ mystrings/m_string.h	2009-08-30 00:26:17 +0000
@@ -19,10 +19,10 @@
 /*  This is needed for the definitions of strchr... on solaris */
 
 
-#ifndef _m_string_h
-#define _m_string_h
+#ifndef MYSTRINGS_M_STRING_H
+#define MYSTRINGS_M_STRING_H
 
-#include <drizzled/global.h>
+#include "drizzled/global.h"
 
 #ifndef __USE_GNU
 #define __USE_GNU				/* We want to use my_stpcpy */
@@ -155,4 +155,4 @@
   return end+1;
 }
 
-#endif
+#endif /* MYSTRINGS_M_STRING_H */

=== modified file 'mystrings/my_uctype.h'
--- mystrings/my_uctype.h	2008-07-28 22:45:54 +0000
+++ mystrings/my_uctype.h	2009-08-30 00:26:17 +0000
@@ -13,6 +13,9 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA */
 
+#ifndef MYSTRINGS_MY_UCTYPE_H
+#define MYSTRINGS_MY_UCTYPE_H
+
 /*
   Unicode ctype data
   Generated from UnicodeData-5.0.0d9.txt
@@ -1476,4 +1479,4 @@
 	{0,uctype_pageFF}
 };
 
-
+#endif /* MYSTRINGS_MY_UCTYPE_H */

=== modified file 'mystrings/t_ctype.h'
--- mystrings/t_ctype.h	2008-12-06 19:42:46 +0000
+++ mystrings/t_ctype.h	2009-08-30 00:26:17 +0000
@@ -28,8 +28,8 @@
   LC_COLLATE category + Level information
 */
 
-#ifndef _t_ctype_h
-#define _t_ctype_h
+#ifndef MYSYS_T_CTYPE_H
+#define MYSYS_T_CTYPE_H
 
 typedef unsigned char tchar;
 
@@ -255,4 +255,4 @@
 /* Function prototype called by sql/field.cc */
 void ThNormalize(unsigned char* ptr, uint32_t field_length, const unsigned char* from, uint32_t length);
 
-#endif
+#endif /* MYSYS_T_CTYPE_H */

=== modified file 'mysys/aio_result.h'
--- mysys/aio_result.h	2008-10-07 01:38:03 +0000
+++ mysys/aio_result.h	2009-08-30 00:26:17 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef mysys_aio_result_h
-#define mysys_aio_result_h
+#ifndef MYSYS_AIO_RESULT_H
+#define MYSYS_AIO_RESULT_H
 
 #ifdef HAVE_AIOWAIT
 #include <sys/asynch.h>      /* Used by record-cache */
@@ -29,4 +29,4 @@
 } my_aio_result;
 #endif
 
-#endif
+#endif /* MYSYS_AIO_RESULT_H */

=== modified file 'mysys/base64.h'
--- mysys/base64.h	2008-07-28 03:31:13 +0000
+++ mysys/base64.h	2009-08-30 00:26:17 +0000
@@ -13,8 +13,8 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
-#ifndef __BASE64_H_INCLUDED__
-#define __BASE64_H_INCLUDED__
+#ifndef MYSYS_BASE64_H
+#define MYSYS_BASE64_H
 
 #ifdef __cplusplus
 extern "C" {
@@ -45,4 +45,4 @@
 #ifdef __cplusplus
 }
 #endif
-#endif /* !__BASE64_H_INCLUDED__ */
+#endif /* MYSYS_BASE64_H */

=== modified file 'mysys/cached_directory.h'
--- mysys/cached_directory.h	2009-08-04 14:10:57 +0000
+++ mysys/cached_directory.h	2009-08-30 00:26:17 +0000
@@ -110,4 +110,4 @@
   }
 };
 
-#endif  /* MYSYS_CACHED_DIRECTORY_H */
+#endif /* MYSYS_CACHED_DIRECTORY_H */

=== modified file 'mysys/drizzle_time.h'
--- mysys/drizzle_time.h	2008-09-10 00:06:50 +0000
+++ mysys/drizzle_time.h	2009-08-30 00:26:17 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef _libdrizzle_drizzle_time_h
-#define _libdrizzle_drizzle_time_h
+#ifndef MYSYS_DRIZZLE_TIME_H
+#define MYSYS_DRIZZLE_TIME_H
 
 /*
   Time declarations shared between the server and client API:
@@ -57,4 +57,4 @@
   enum enum_drizzle_timestamp_type time_type;
 } DRIZZLE_TIME;
 
-#endif /* _libdrizzle_drizzle_time_h */
+#endif /* MYSYS_DRIZZLE_TIME_H */

=== modified file 'mysys/hash.h'
--- mysys/hash.h	2008-11-23 01:08:08 +0000
+++ mysys/hash.h	2009-08-30 00:26:17 +0000
@@ -86,4 +86,4 @@
 #ifdef __cplusplus
 }
 #endif
-#endif
+#endif /* MYSYS_HASH_H */

=== modified file 'mysys/iocache.h'
--- mysys/iocache.h	2009-05-21 00:57:05 +0000
+++ mysys/iocache.h	2009-08-30 00:26:17 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef mysys_iocache_h
-#define mysys_iocache_h
+#ifndef MYSYS_IOCACHE_H
+#define MYSYS_IOCACHE_H
 
 #include <mysys/my_sys.h>
 
@@ -214,4 +214,4 @@
 }
 #endif
 
-#endif
+#endif /* MYSYS_IOCACHE_H */

=== modified file 'mysys/my_alloc.h'
--- mysys/my_alloc.h	2008-12-06 19:42:46 +0000
+++ mysys/my_alloc.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
    Data structures for mysys/my_alloc.c (root memory allocator)
 */
 
-#ifndef _my_alloc_h
-#define _my_alloc_h
+#ifndef MYSYS_MY_ALLOC_H
+#define MYSYS_MY_ALLOC_H
 
 #include <stddef.h>
 #include <drizzled/definitions.h>
@@ -71,4 +71,4 @@
 #if defined(__cplusplus)
 }
 #endif
-#endif
+#endif /* MYSYS_MY_ALLOC_H */

=== modified file 'mysys/my_bit.h'
--- mysys/my_bit.h	2009-08-27 15:40:07 +0000
+++ mysys/my_bit.h	2009-08-30 00:26:17 +0000
@@ -21,6 +21,9 @@
   Some useful bit functions
 */
 
+#ifndef MYSYS_MY_BIT_H
+#define MYSYS_MY_BIT_H
+
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -115,3 +118,4 @@
 }
 #endif
 
+#endif /* MYSYS_MY_BIT_H */

=== modified file 'mysys/my_dir.h'
--- mysys/my_dir.h	2008-12-06 19:42:46 +0000
+++ mysys/my_dir.h	2009-08-30 00:26:17 +0000
@@ -13,15 +13,13 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
-#ifndef _my_dir_h
-#define _my_dir_h
+#ifndef MYSYS_MY_DIR_H
+#define MYSYS_MY_DIR_H
+
 #ifdef	__cplusplus
 extern "C" {
 #endif
 
-#ifndef MY_DIR_H
-#define MY_DIR_H
-
 #include <drizzled/definitions.h>
 #include <sys/stat.h>
 
@@ -50,9 +48,9 @@
 extern MY_DIR *my_dir(const char *path, myf MyFlags);
 extern void my_dirend(MY_DIR *buffer);
 
-#endif /* MY_DIR_H */
 
 #ifdef	__cplusplus
 }
 #endif
-#endif
+
+#endif /* MYSYS_MY_DIR_H */

=== modified file 'mysys/my_getopt.h'
--- mysys/my_getopt.h	2009-03-04 22:49:53 +0000
+++ mysys/my_getopt.h	2009-08-30 00:26:17 +0000
@@ -13,10 +13,10 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
-#ifndef _my_getopt_h
-#define _my_getopt_h
+#ifndef MYSYS_MY_GETOPT_H
+#define MYSYS_MY_GETOPT_H
 
-#include <mysys/my_sys.h>
+#include "mysys/my_sys.h"
 
 #define GET_NO_ARG     1
 #define GET_BOOL       2
@@ -93,5 +93,5 @@
 }
 #endif
 
-#endif /* _my_getopt_h */
+#endif /* MYSYS_MY_GETOPT_H */
 

=== modified file 'mysys/my_pthread.h'
--- mysys/my_pthread.h	2009-05-21 00:57:05 +0000
+++ mysys/my_pthread.h	2009-08-30 00:26:17 +0000
@@ -15,8 +15,8 @@
 
 /* Defines to make different thread packages compatible */
 
-#ifndef _my_pthread_h
-#define _my_pthread_h
+#ifndef MYSYS_MY_PTHREAD_H
+#define MYSYS_MY_PTHREAD_H
 
 #include <stdint.h>
 #include <unistd.h>
@@ -261,4 +261,4 @@
 #ifdef  __cplusplus
 }
 #endif
-#endif /* _my_ptread_h */
+#endif /* MYSYS_MY_PTHREAD_H */

=== modified file 'mysys/my_static.h'
--- mysys/my_static.h	2009-05-26 20:45:27 +0000
+++ mysys/my_static.h	2009-08-30 00:26:17 +0000
@@ -18,6 +18,9 @@
   a shared library
 */
 
+#ifndef MYSYS_MY_STATIC_H
+#define MYSYS_MY_STATIC_H
+
 #include <signal.h>
 
 #define MAX_SIGNALS	10		/* Max signals under a dont-allow */
@@ -70,3 +73,4 @@
 }
 #endif
 
+#endif /* MYSYS_MY_STATIC_H */

=== modified file 'mysys/my_sys.h'
--- mysys/my_sys.h	2009-07-17 23:20:36 +0000
+++ mysys/my_sys.h	2009-08-30 00:26:17 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef _my_sys_h
-#define _my_sys_h
+#ifndef MYSYS_MY_SYS_H
+#define MYSYS_MY_SYS_H
 
 #include <errno.h>
 #define my_errno (errno)
@@ -484,4 +484,4 @@
 }
 #endif
 
-#endif /* _my_sys_h */
+#endif /* MYSYS_MY_SYS_H */

=== modified file 'mysys/my_time.h'
--- mysys/my_time.h	2008-12-22 04:53:24 +0000
+++ mysys/my_time.h	2009-08-30 00:26:17 +0000
@@ -23,10 +23,10 @@
   declarations for my_time.c
 */
 
-#ifndef _libdrizzle_my_time_h_
-#define _libdrizzle_my_time_h_
+#ifndef MYSYS_MY_TIME_H
+#define MYSYS_MY_TIME_H
 
-#include <drizzled/global.h>
+#include "drizzled/global.h"
 #include "drizzle_time.h"
 
 #ifdef __cplusplus
@@ -164,4 +164,4 @@
 }
 #endif
 
-#endif /* _libdrizzle_my_time_h_ */
+#endif /* MYSYS_MY_TIME_H */

=== modified file 'mysys/my_tree.h'
--- mysys/my_tree.h	2008-12-06 19:42:46 +0000
+++ mysys/my_tree.h	2009-08-30 00:26:17 +0000
@@ -13,8 +13,9 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
-#ifndef _tree_h
-#define _tree_h
+#ifndef MYSYS_MY_TREE_H
+#define MYSYS_MY_TREE_H
+
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -93,4 +94,5 @@
 #ifdef	__cplusplus
 }
 #endif
-#endif
+
+#endif /* MYSYS_MY_TREE_H */

=== modified file 'mysys/mysys_err.h'
--- mysys/mysys_err.h	2008-08-01 22:33:44 +0000
+++ mysys/mysys_err.h	2009-08-30 00:26:17 +0000
@@ -13,8 +13,9 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
-#ifndef _mysys_err_h
-#define _mysys_err_h
+#ifndef MYSYS_MYSYS_ERR_H
+#define MYSYS_MYSYS_ERR_H
+
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -85,5 +86,6 @@
 #ifdef	__cplusplus
 }
 #endif
-#endif
+
+#endif /* MYSYS_MYSYS_ERR_H */
 

=== modified file 'mysys/mysys_priv.h'
--- mysys/mysys_priv.h	2009-05-23 16:15:00 +0000
+++ mysys/mysys_priv.h	2009-08-30 00:26:17 +0000
@@ -13,6 +13,9 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
+#ifndef MYSYS_MYSYS_PRIV_H
+#define MYSYS_MYSYS_PRIV_H
+
 #include <drizzled/global.h>
 #include <mysys/my_sys.h>
 
@@ -38,3 +41,5 @@
 #endif
 
 void my_error_unregister_all(void);
+
+#endif /* MYSYS_MYSYS_PRIV_H */

=== modified file 'mysys/sha1.h'
--- mysys/sha1.h	2008-09-23 06:09:48 +0000
+++ mysys/sha1.h	2009-08-30 00:26:17 +0000
@@ -27,6 +27,8 @@
  Modified 2002 by Peter Zaitsev to better follow MySQL standards
 */
 
+#ifndef MYSYS_SHA1_H
+#define MYSYS_SHA1_H
 
 enum sha_result_codes
 {
@@ -68,3 +70,5 @@
 #ifdef __cplusplus
 }
 #endif
+
+#endif /* MYSYS_SHA1_H */

=== modified file 'mysys/thr_lock.h'
--- mysys/thr_lock.h	2009-08-11 03:02:59 +0000
+++ mysys/thr_lock.h	2009-08-30 00:26:17 +0000
@@ -15,8 +15,9 @@
 
 /* For use with thr_lock:s */
 
-#ifndef _thr_lock_h
-#define _thr_lock_h
+#ifndef MYSYS_THR_LOCK_H
+#define MYSYS_THR_LOCK_H
+
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -107,4 +108,4 @@
 #ifdef	__cplusplus
 }
 #endif
-#endif /* _thr_lock_h */
+#endif /* MYSYS_THR_LOCK_H */

=== modified file 'mysys/typelib.h'
--- mysys/typelib.h	2008-12-06 19:42:46 +0000
+++ mysys/typelib.h	2009-08-30 00:26:17 +0000
@@ -14,10 +14,10 @@
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
 
-#ifndef _typelib_h
-#define _typelib_h
+#ifndef MYSYS_TYPELIB_H
+#define MYSYS_TYPELIB_H
 
-#include <mysys/my_alloc.h>
+#include "mysys/my_alloc.h"
 
 typedef struct st_typelib {	/* Different types saved here */
   unsigned int count;		/* How many types */
@@ -42,4 +42,4 @@
   }
 #endif
 
-#endif /* _typelib_h */
+#endif /* MYSYS_TYPELIB_H */

=== modified file 'plugin/archive/azio.h'
--- plugin/archive/azio.h	2009-08-17 15:34:55 +0000
+++ plugin/archive/azio.h	2009-08-30 00:26:17 +0000
@@ -33,8 +33,8 @@
   (zlib format), rfc1951.txt (deflate format) and rfc1952.txt (gzip format).
 */
 
-#ifndef __AZIO_H__
-#define __AZIO_H__
+#ifndef PLUGIN_ARCHIVE_AZIO_H
+#define PLUGIN_ARCHIVE_AZIO_H
 
 /* We currently allow this on all platforms */
 #define AZIO_AIO
@@ -379,4 +379,4 @@
 }
 #endif
 
-#endif /* AZIO_H */
+#endif /* PLUGIN_ARCHIVE_AZIO_H */

=== modified file 'plugin/archive/ha_archive.h'
--- plugin/archive/ha_archive.h	2009-08-18 07:00:39 +0000
+++ plugin/archive/ha_archive.h	2009-08-30 00:26:17 +0000
@@ -13,6 +13,8 @@
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
+#ifndef PLUGIN_ARCHIVE_HA_ARCHIVE_H
+#define PLUGIN_ARCHIVE_HA_ARCHIVE_H
 
 #include <inttypes.h>
 #include <zlib.h>
@@ -155,3 +157,4 @@
   unsigned int pack_row(unsigned char *record);
 };
 
+#endif /* PLUGIN_ARCHIVE_HA_ARCHIVE_H */

=== modified file 'plugin/blackhole/ha_blackhole.h'
--- plugin/blackhole/ha_blackhole.h	2009-08-03 05:56:35 +0000
+++ plugin/blackhole/ha_blackhole.h	2009-08-30 00:26:17 +0000
@@ -14,8 +14,8 @@
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
 
-#ifndef STORAGE_BLACKHOLE_HA_BLACKHOLE_H
-#define STORAGE_BLACKHOLE_HA_BLACKHOLE_H
+#ifndef PLUGIN_BLACKHOLE_HA_BLACKHOLE_H
+#define PLUGIN_BLACKHOLE_HA_BLACKHOLE_H
 
 #include <drizzled/handler.h>
 #include <mysys/thr_lock.h>
@@ -87,4 +87,4 @@
                              enum thr_lock_type lock_type);
 };
 
-#endif /* STORAGE_BLACKHOLE_HA_BLACKHOLE_H */
+#endif /* PLUGIN_BLACKHOLE_HA_BLACKHOLE_H */

=== modified file 'plugin/command_log/command_log.h'
--- plugin/command_log/command_log.h	2009-07-18 05:48:09 +0000
+++ plugin/command_log/command_log.h	2009-08-30 00:26:17 +0000
@@ -35,8 +35,8 @@
  * is in charge of writing these events to the log as they are received.
  */
 
-#ifndef DRIZZLE_PLUGIN_command_log_H
-#define DRIZZLE_PLUGIN_command_log_H
+#ifndef PLUGIN_COMMAND_LOG_COMMAND_LOG_H
+#define PLUGIN_COMMAND_LOG_COMMAND_LOG_H
 
 #include <drizzled/server_includes.h>
 #include <drizzled/atomics.h>
@@ -130,4 +130,4 @@
   void truncate();
 };
 
-#endif /* DRIZZLE_PLUGIN_command_log_H */
+#endif /* PLUGIN_COMMAND_LOG_COMMAND_LOG_H */

=== modified file 'plugin/compression/compress.h'
--- plugin/compression/compress.h	2009-08-17 20:54:05 +0000
+++ plugin/compression/compress.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLED_PLUGIN_COMPRESSION_COMPRESS_H
-#define DRIZZLED_PLUGIN_COMPRESSION_COMPRESS_H
+#ifndef PLUGIN_COMPRESSION_COMPRESS_H
+#define PLUGIN_COMPRESSION_COMPRESS_H
 
 #include <drizzled/server_includes.h>
 #include <drizzled/plugin/function.h>
@@ -36,5 +36,5 @@
   String *val_str(String *) ;
 };
 
-#endif /* DRIZZLED_PLUGIN_COMPRESSION_COMPRESS_H */
+#endif /* PLUGIN_COMPRESSION_COMPRESS_H */
 

=== modified file 'plugin/compression/uncompress.h'
--- plugin/compression/uncompress.h	2009-05-24 18:17:38 +0000
+++ plugin/compression/uncompress.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLED_PLUGIN_COMPRESSION_UNCOMPRESS_H
-#define DRIZZLED_PLUGIN_COMPRESSION_UNCOMPRESS_H
+#ifndef PLUGIN_COMPRESSION_UNCOMPRESS_H
+#define PLUGIN_COMPRESSION_UNCOMPRESS_H
 
 #include <drizzled/server_includes.h>
 #include <drizzled/session.h>
@@ -38,4 +38,4 @@
 };
 
 
-#endif /* DRIZZLED_PLUGIN_COMPRESSION_UNCOMPRESS_H */
+#endif /* PLUGIN_COMPRESSION_UNCOMPRESS_H */

=== modified file 'plugin/compression/uncompressed_length.h'
--- plugin/compression/uncompressed_length.h	2009-08-17 20:54:05 +0000
+++ plugin/compression/uncompressed_length.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLED_PLUGIN_COMPRESSION_UNCOMPRESSED_LENGTH_H
-#define DRIZZLED_PLUGIN_COMPRESSION_UNCOMPRESSED_LENGTH_H
+#ifndef PLUGIN_COMPRESSION_UNCOMPRESSED_LENGTH_H
+#define PLUGIN_COMPRESSION_UNCOMPRESSED_LENGTH_H
 
 #include <drizzled/server_includes.h>
 #include <drizzled/plugin/function.h>
@@ -37,4 +37,4 @@
 };
 
 
-#endif /* DRIZZLED_PLUGIN_COMPRESSION_UNCOMPRESSED_LENGTH_H */
+#endif /* PLUGIN_COMPRESSION_UNCOMPRESSED_LENGTH_H */

=== modified file 'plugin/csv/ha_tina.h'
--- plugin/csv/ha_tina.h	2009-06-03 01:12:56 +0000
+++ plugin/csv/ha_tina.h	2009-08-30 00:26:17 +0000
@@ -13,8 +13,8 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
-#ifndef STORAGE_CSV_HA_TINA_H
-#define STORAGE_CSV_HA_TINA_H
+#ifndef PLUGIN_CSV_HA_TINA_H
+#define PLUGIN_CSV_HA_TINA_H
 
 #include <drizzled/handler.h>
 #include <mysys/thr_lock.h>
@@ -166,4 +166,4 @@
   int chain_append();
 };
 
-#endif /* STORAGE_CSV_HA_TINA_H */
+#endif /* PLUGIN_CSV_HA_TINA_H */

=== modified file 'plugin/csv/transparent_file.h'
--- plugin/csv/transparent_file.h	2008-10-06 06:47:29 +0000
+++ plugin/csv/transparent_file.h	2009-08-30 00:26:17 +0000
@@ -13,6 +13,9 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
+#ifndef PLUGIN_CSV_TRANSPARENT_FILE_H
+#define PLUGIN_CSV_TRANSPARENT_FILE_H
+
 #include <sys/types.h>
 #include <sys/stat.h>
 
@@ -38,3 +41,5 @@
   char get_value (off_t offset);
   off_t read_next();
 };
+
+#endif /* PLUGIN_CSV_TRANSPARENT_FILE_H */

=== modified file 'plugin/default_replicator/default_replicator.h'
--- plugin/default_replicator/default_replicator.h	2009-06-03 21:06:04 +0000
+++ plugin/default_replicator/default_replicator.h	2009-08-30 00:26:17 +0000
@@ -27,8 +27,8 @@
  * @see drizzled/plugin/applier.h
  */
 
-#ifndef DRIZZLE_PLUGIN_DEFAULT_REPLICATOR_H
-#define DRIZZLE_PLUGIN_DEFAULT_REPLICATOR_H
+#ifndef PLUGIN_DEFAULT_REPLICATOR_DEFAULT_REPLICATOR_H
+#define PLUGIN_DEFAULT_REPLICATOR_DEFAULT_REPLICATOR_H
 
 #include <drizzled/server_includes.h>
 #include <drizzled/atomics.h>
@@ -68,4 +68,4 @@
   bool isActive();
 };
 
-#endif /* DRIZZLE_PLUGIN_DEFAULT_REPLICATOR_H */
+#endif /* PLUGIN_DEFAULT_REPLICATOR_DEFAULT_REPLICATOR_H */

=== modified file 'plugin/gearman_udf/function_map.h'
--- plugin/gearman_udf/function_map.h	2009-05-12 06:39:39 +0000
+++ plugin/gearman_udf/function_map.h	2009-08-30 00:26:17 +0000
@@ -13,6 +13,9 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA */
 
+#ifndef PLUGIN_GEARMAN_UDF_FUNCTION_MAP_H
+#define PLUGIN_GEARMAN_UDF_FUNCTION_MAP_H
+
 #include <map>
 #include <string>
 #include <libgearman/gearman.h>
@@ -32,3 +35,5 @@
 
 /* This returns a reference to the global function map class. */
 GearmanFunctionMap& GetFunctionMap(void);
+
+#endif /* PLUGIN_GEARMAN_UDF_FUNCTION_MAP_H */

=== modified file 'plugin/gearman_udf/gman_do.h'
--- plugin/gearman_udf/gman_do.h	2009-05-11 20:54:50 +0000
+++ plugin/gearman_udf/gman_do.h	2009-08-30 00:26:17 +0000
@@ -13,6 +13,9 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA */
 
+#ifndef PLUGIN_GEARMAN_UDF_GMAN_DO_H
+#define PLUGIN_GEARMAN_UDF_GMAN_DO_H
+
 #include <drizzled/server_includes.h>
 #include <drizzled/item/func.h>
 #include <drizzled/function/str/strfunc.h>
@@ -91,3 +94,5 @@
                                          GMAN_DO_OPTIONS_BACKGROUND)) {}
   const char *func_name() const{ return "gman_do_low_background"; }
 };
+
+#endif /* PLUGIN_GEARMAN_UDF_GMAN_DO_H */

=== modified file 'plugin/gearman_udf/gman_servers_set.h'
--- plugin/gearman_udf/gman_servers_set.h	2009-05-11 20:54:50 +0000
+++ plugin/gearman_udf/gman_servers_set.h	2009-08-30 00:26:17 +0000
@@ -13,6 +13,9 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA */
 
+#ifndef PLUGIN_GEARMAN_UDF_GMAN_SERVERS_SET_H
+#define PLUGIN_GEARMAN_UDF_GMAN_SERVERS_SET_H
+
 #include <drizzled/server_includes.h>
 #include <drizzled/item/func.h>
 #include <drizzled/function/str/strfunc.h>
@@ -27,3 +30,5 @@
   const char *func_name() const{ return "gman_servers_set"; }
   String *val_str(String *);
 };
+
+#endif /* PLUGIN_GEARMAN_UDF_GMAN_SERVERS_SET_H */

=== modified file 'plugin/heap/ha_heap.h'
--- plugin/heap/ha_heap.h	2009-08-18 07:00:39 +0000
+++ plugin/heap/ha_heap.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
 
 /* class for the the heap handler */
 
-#ifndef STORAGE_HEAP_HA_HEAP_H
-#define STORAGE_HEAP_HA_HEAP_H
+#ifndef PLUGIN_HEAP_HA_HEAP_H
+#define PLUGIN_HEAP_HA_HEAP_H
 
 #include <drizzled/handler.h>
 #include <mysys/thr_lock.h>
@@ -103,4 +103,4 @@
   void update_key_stats();
 };
 
-#endif /* STORAGE_HEAP_HA_HEAP_H */
+#endif /* PLUGIN_HEAP_HA_HEAP_H */

=== modified file 'plugin/heap/heap.h'
--- plugin/heap/heap.h	2009-04-25 06:33:32 +0000
+++ plugin/heap/heap.h	2009-08-30 00:26:17 +0000
@@ -16,8 +16,9 @@
 /* This file should be included when using heap_database_functions */
 /* Author: Michael Widenius */
 
-#ifndef _heap_h
-#define _heap_h
+#ifndef PLUGIN_HEAP_HEAP_H
+#define PLUGIN_HEAP_HEAP_H
+
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -269,4 +270,5 @@
 #ifdef	__cplusplus
 }
 #endif
-#endif
+
+#endif /* PLUGIN_HEAP_HEAP_H */

=== modified file 'plugin/heap/heapdef.h'
--- plugin/heap/heapdef.h	2009-03-28 03:48:36 +0000
+++ plugin/heap/heapdef.h	2009-08-30 00:26:17 +0000
@@ -14,8 +14,8 @@
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
 /* This file is included in all heap-files */
-#ifndef HEAPDEF_H
-#define HEAPDEF_H
+#ifndef PLUGIN_HEAP_HEAPDEF_H
+#define PLUGIN_HEAP_HEAPDEF_H
 
 #include <drizzled/global.h>
 #include <drizzled/base.h>
@@ -140,4 +140,4 @@
 }
 #endif
 
-#endif /* HEAPDEF_H */
+#endif /* PLUGIN_HEAP_HEAPDEF_H */

=== modified file 'plugin/info_schema/info_schema_columns.h'
--- plugin/info_schema/info_schema_columns.h	2009-07-05 17:26:20 +0000
+++ plugin/info_schema/info_schema_columns.h	2009-08-30 00:26:17 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLED_INFO_SCHEMA_COLUMNS_H
-#define DRIZZLED_INFO_SCHEMA_COLUMNS_H
+#ifndef PLUGIN_INFO_SCHEMA_INFO_SCHEMA_COLUMNS_H
+#define PLUGIN_INFO_SCHEMA_INFO_SCHEMA_COLUMNS_H
 
 #include "drizzled/info_schema.h"
 
@@ -173,4 +173,4 @@
  */
 void clearColumns(std::vector<const ColumnInfo *>& cols);
 
-#endif /* DRIZZLE_INFO_SCHEMA_COLUMNS_H */
+#endif /* PLUGIN_INFO_SCHEMA_INFO_SCHEMA_COLUMNS_H */

=== modified file 'plugin/info_schema/info_schema_methods.h'
--- plugin/info_schema/info_schema_methods.h	2009-07-05 17:44:13 +0000
+++ plugin/info_schema/info_schema_methods.h	2009-08-30 00:26:17 +0000
@@ -18,8 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLED_INFO_SCHEMA_METHODS_H
-#define DRIZZLED_INFO_SCHEMA_METHODS_H
+#ifndef PLUGIN_INFO_SCHEMA_INFO_SCHEMA_METHODS_H
+#define PLUGIN_INFO_SCHEMA_INFO_SCHEMA_METHODS_H
 
 #include "drizzled/info_schema.h"
 
@@ -259,4 +259,4 @@
                         COND *cond);
 };
 
-#endif /* DRIZZLE_INFO_SCHEMA_METHODS_H */
+#endif /* PLUGIN_INFO_SCHEMA_INFO_SCHEMA_METHODS_H */

=== modified file 'plugin/logging_syslog/names.h'
--- plugin/logging_syslog/names.h	2009-01-30 09:43:34 +0000
+++ plugin/logging_syslog/names.h	2009-08-30 00:26:17 +0000
@@ -28,8 +28,8 @@
  *
  *      @(#)syslog.h    8.1 (Berkeley) 6/2/93
  */
-#ifndef _PLUGIN_LOGGING_SYSLOG_NAMES_H
-#define _PLUGIN_LOGGING_SYSLOG_NAMES_H 1
+#ifndef PLUGIN_LOGGING_SYSLOG_NAMES_H
+#define PLUGIN_LOGGING_SYSLOG_NAMES_H
 
 /* Solaris doesn't define these, so we copy them in. So Sad. */
 

=== modified file 'plugin/myisam/ha_myisam.h'
--- plugin/myisam/ha_myisam.h	2009-08-18 07:00:39 +0000
+++ plugin/myisam/ha_myisam.h	2009-08-30 00:26:17 +0000
@@ -14,8 +14,8 @@
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
 
-#ifndef STORAGE_MYISAM_HA_MYISAM_H
-#define STORAGE_MYISAM_HA_MYISAM_H
+#ifndef PLUGIN_MYISAM_HA_MYISAM_H
+#define PLUGIN_MYISAM_HA_MYISAM_H
 
 #include <drizzled/handler.h>
 #include <mysys/thr_lock.h>
@@ -122,4 +122,4 @@
   key_map keys_with_parts;
 };
 
-#endif /* STORAGE_MYISAM_HA_MYISAM_H */
+#endif /* PLUGIN_MYISAM_HA_MYISAM_H */

=== modified file 'plugin/myisam/keycache.h'
--- plugin/myisam/keycache.h	2009-07-31 05:38:13 +0000
+++ plugin/myisam/keycache.h	2009-08-30 00:26:17 +0000
@@ -15,10 +15,10 @@
 
 /* Key cache variable structures */
 
-#ifndef _keycache_h
-#define _keycache_h
+#ifndef PLUGIN_MYISAM_KEYCACHE_H
+#define PLUGIN_MYISAM_KEYCACHE_H
 
-#include <drizzled/global.h>
+#include "drizzled/global.h"
 
 #ifdef __cplusplus
 extern "C" {
@@ -160,4 +160,4 @@
 }
 #endif
 
-#endif /* _keycache_h */
+#endif /* PLUGIN_MYISAM_KEYCACHE_H */

=== modified file 'plugin/myisam/my_handler.h'
--- plugin/myisam/my_handler.h	2009-04-25 06:33:32 +0000
+++ plugin/myisam/my_handler.h	2009-08-30 00:26:17 +0000
@@ -15,8 +15,8 @@
    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
    MA 02111-1307, USA */
 
-#ifndef _my_handler_h
-#define _my_handler_h
+#ifndef PLUGIN_MYISAM_MY_HANDLER_H
+#define PLUGIN_MYISAM_MY_HANDLER_H
 
 #include <mystrings/m_ctype.h>
 #include <plugin/myisam/myisampack.h>
@@ -125,4 +125,4 @@
 }
 #endif
 
-#endif /* _my_handler_h */
+#endif /* PLUGIN_MYISAM_MY_HANDLER_H */

=== modified file 'plugin/myisam/myisam.h'
--- plugin/myisam/myisam.h	2009-08-13 21:55:13 +0000
+++ plugin/myisam/myisam.h	2009-08-30 00:26:17 +0000
@@ -15,8 +15,8 @@
 
 /* This file should be included when using myisam_funktions */
 
-#ifndef _myisam_h
-#define _myisam_h
+#ifndef PLUGIN_MYISAM_MYISAM_H
+#define PLUGIN_MYISAM_MYISAM_H
 
 #include <drizzled/key_map.h>
 
@@ -483,4 +483,4 @@
 #ifdef	__cplusplus
 }
 #endif
-#endif
+#endif /* PLUGIN_MYISAM_MYISAM_H */

=== modified file 'plugin/myisam/myisamdef.h'
--- plugin/myisam/myisamdef.h	2009-03-30 18:27:35 +0000
+++ plugin/myisam/myisamdef.h	2009-08-30 00:26:17 +0000
@@ -15,8 +15,8 @@
 
 /* This file is included by all internal myisam files */
 
-#ifndef MYISAMDEF_H
-#define MYISAMDEF_H
+#ifndef PLUGIN_MYISAM_MYISAMDEF_H
+#define PLUGIN_MYISAM_MYISAMDEF_H
 
 #include <drizzled/global.h>
 #include "myisam.h"			/* Structs & some defines */
@@ -760,4 +760,4 @@
 #endif
 
 
-#endif /* MYISAMDEF_H */
+#endif /* PLUGIN_MYISAM_MYISAMDEF_H */

=== modified file 'plugin/myisam/myisampack.h'
--- plugin/myisam/myisampack.h	2008-11-07 00:15:51 +0000
+++ plugin/myisam/myisampack.h	2009-08-30 00:26:17 +0000
@@ -13,8 +13,8 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
-#ifndef STORAGE_MYISAM_MYISAMPACK_H
-#define STORAGE_MYISAM_MYISAMPACK_H
+#ifndef PLUGIN_MYISAM_MYISAMPACK_H
+#define PLUGIN_MYISAM_MYISAMPACK_H
 
 /*
   Storing of values in high byte first order.
@@ -225,4 +225,4 @@
 #define mi_sizestore(T,A)   mi_int8store(T, A)
 #define mi_sizekorr(T)      mi_uint8korr(T)
 
-#endif /* STORAGE_MYISAM_MYISAMPACK_H */
+#endif /* PLUGIN_MYISAM_MYISAMPACK_H */

=== modified file 'plugin/oldlibdrizzle/drizzle.h'
--- plugin/oldlibdrizzle/drizzle.h	2009-03-31 07:57:46 +0000
+++ plugin/oldlibdrizzle/drizzle.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef LIBDRIZZLECLIENT_DRIZZLE_H
-#define LIBDRIZZLECLIENT_DRIZZLE_H
+#ifndef PLUGIN_OLDLIBDRIZZLE_DRIZZLE_H
+#define PLUGIN_OLDLIBDRIZZLE_DRIZZLE_H
 
 #include <drizzled/common.h>
 #include "drizzle_field.h"
@@ -169,4 +169,4 @@
 }
 #endif
 
-#endif /* LIBDRIZZLECLIENT_DRIZZLE_H */
+#endif /* PLUGIN_OLDLIBDRIZZLE_DRIZZLE_H */

=== modified file 'plugin/oldlibdrizzle/drizzle_data.h'
--- plugin/oldlibdrizzle/drizzle_data.h	2009-03-31 07:57:46 +0000
+++ plugin/oldlibdrizzle/drizzle_data.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef LIBDRIZZLECLIENT_DRIZZLE_DATA_H
-#define LIBDRIZZLECLIENT_DRIZZLE_DATA_H
+#ifndef PLUGIN_OLDLIBDRIZZLE_DRIZZLE_DATA_H
+#define PLUGIN_OLDLIBDRIZZLE_DRIZZLE_DATA_H
 
 #include "drizzle_rows.h"
 #include "drizzle_field.h"
@@ -44,4 +44,4 @@
 }
 #endif
 
-#endif /* LIBDRIZZLECLIENT_DATA_H */
+#endif /* PLUGIN_OLDLIBDRIZZLE_DRIZZLE_DATA_H */

=== modified file 'plugin/oldlibdrizzle/drizzle_field.h'
--- plugin/oldlibdrizzle/drizzle_field.h	2009-02-08 11:28:58 +0000
+++ plugin/oldlibdrizzle/drizzle_field.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef LIBDRIZZLECLIENT_DRIZZLE_FIELD_H
-#define LIBDRIZZLECLIENT_DRIZZLE_FIELD_H
+#ifndef PLUGIN_OLDLIBDRIZZLE_DRIZZLE_FIELD_H
+#define PLUGIN_OLDLIBDRIZZLE_DRIZZLE_FIELD_H
 
 #include <drizzled/common.h>
 
@@ -59,4 +59,4 @@
 }
 #endif
 
-#endif /* LIBDRIZZLECLIENT_DRIZZLE_FIELD_H */
+#endif /* PLUGIN_OLDLIBDRIZZLE_DRIZZLE_FIELD_H */

=== modified file 'plugin/oldlibdrizzle/drizzle_methods.h'
--- plugin/oldlibdrizzle/drizzle_methods.h	2009-08-01 01:50:21 +0000
+++ plugin/oldlibdrizzle/drizzle_methods.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef LIBDRIZZLECLIENT_DRIZZLE_METHODS_H
-#define LIBDRIZZLECLIENT_DRIZZLE_METHODS_H
+#ifndef PLUGIN_OLDLIBDRIZZLE_DRIZZLE_METHODS_H
+#define PLUGIN_OLDLIBDRIZZLE_DRIZZLE_METHODS_H
 
 #include "drizzle.h"
 #include "drizzle_data.h"
@@ -63,4 +63,4 @@
 }
 #endif
 
-#endif /* LIBDRIZZLECLIENT_DRIZZLE_METHODS_H */
+#endif /* PLUGIN_OLDLIBDRIZZLE_DRIZZLE_METHODS_H */

=== modified file 'plugin/oldlibdrizzle/drizzle_res.h'
--- plugin/oldlibdrizzle/drizzle_res.h	2009-03-31 07:57:46 +0000
+++ plugin/oldlibdrizzle/drizzle_res.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef LIBDRIZZLECLIENT_DRIZZLE_RES_H
-#define LIBDRIZZLECLIENT_DRIZZLE_RES_H
+#ifndef PLUGIN_OLDLIBDRIZZLE_DRIZZLE_RES_H
+#define PLUGIN_OLDLIBDRIZZLE_DRIZZLE_RES_H
 
 #include "drizzle_field.h"
 #include "drizzle_data.h"
@@ -77,4 +77,4 @@
 }
 #endif
 
-#endif /* LIBDRIZZLECLIENT_DRIZZLE_RES_H */
+#endif /* PLUGIN_OLDLIBDRIZZLE_DRIZZLE_RES_H */

=== modified file 'plugin/oldlibdrizzle/drizzle_rows.h'
--- plugin/oldlibdrizzle/drizzle_rows.h	2009-02-02 19:40:04 +0000
+++ plugin/oldlibdrizzle/drizzle_rows.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef LIBDRIZZLECLIENT_DRIZZLE_ROWS_H
-#define LIBDRIZZLECLIENT_DRIZZLE_ROWS_H
+#ifndef PLUGIN_OLDLIBDRIZZLE_DRIZZLE_ROWS_H
+#define PLUGIN_OLDLIBDRIZZLE_DRIZZLE_ROWS_H
 
 #ifdef  __cplusplus
 extern "C" {
@@ -39,4 +39,4 @@
 }
 #endif
 
-#endif /* LIBDRIZZLECLIENT_DRIZZLE_ROWS_H */
+#endif /* PLUGIN_OLDLIBDRIZZLE_DRIZZLE_ROWS_H */

=== modified file 'plugin/oldlibdrizzle/errmsg.h'
--- plugin/oldlibdrizzle/errmsg.h	2009-02-08 11:11:30 +0000
+++ plugin/oldlibdrizzle/errmsg.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef LIBDRIZZLECLIENT_ERRMSG_H
-#define LIBDRIZZLECLIENT_ERRMSG_H
+#ifndef PLUGIN_OLDLIBDRIZZLE_ERRMSG_H
+#define PLUGIN_OLDLIBDRIZZLE_ERRMSG_H
 
 /* Error messages for MySQL clients */
 /* (Error messages for the daemon are in sql/share/errmsg.txt) */
@@ -103,4 +103,4 @@
   CR_ERROR_LAST    =2065 /*Copy last error nr:*/
 };
 
-#endif
+#endif /* PLUGIN_OLDLIBDRIZZLE_ERRMSG_H */

=== modified file 'plugin/oldlibdrizzle/libdrizzle.h'
--- plugin/oldlibdrizzle/libdrizzle.h	2009-08-01 01:50:21 +0000
+++ plugin/oldlibdrizzle/libdrizzle.h	2009-08-30 00:26:17 +0000
@@ -26,8 +26,8 @@
 
 */
 
-#ifndef LIBDRIZZLECLIENT_LIBDRIZZLE_H
-#define LIBDRIZZLECLIENT_LIBDRIZZLE_H
+#ifndef PLUGIN_OLDLIBDRIZZLE_LIBDRIZZLE_H
+#define PLUGIN_OLDLIBDRIZZLE_LIBDRIZZLE_H
 
 #include <drizzled/common.h>
 
@@ -105,4 +105,4 @@
 }
 #endif
 
-#endif /* LIBDRIZZLECLIENT_LIBDRIZZLE_H */
+#endif /* PLUGIN_OLDLIBDRIZZLE_LIBDRIZZLE_H */

=== modified file 'plugin/oldlibdrizzle/libdrizzle_priv.h'
--- plugin/oldlibdrizzle/libdrizzle_priv.h	2009-03-31 08:49:15 +0000
+++ plugin/oldlibdrizzle/libdrizzle_priv.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef LIBDRIZZLECLIENT_LIBDRIZZLE_PRIV_H
-#define LIBDRIZZLECLIENT_LIBDRIZZLE_PRIV_H
+#ifndef PLUGIN_OLDLIBDRIZZLE_LIBDRIZZLE_PRIV_H
+#define PLUGIN_OLDLIBDRIZZLE_LIBDRIZZLE_PRIV_H
 
 #include <drizzled/global.h>
 
@@ -61,4 +61,4 @@
 }
 #endif
 
-#endif
+#endif /* PLUGIN_OLDLIBDRIZZLE_LIBDRIZZLE_PRIV_H */

=== modified file 'plugin/oldlibdrizzle/net_serv.h'
--- plugin/oldlibdrizzle/net_serv.h	2009-03-31 07:57:46 +0000
+++ plugin/oldlibdrizzle/net_serv.h	2009-08-30 00:26:17 +0000
@@ -18,8 +18,8 @@
  */
 
 
-#ifndef LIBDRIZZLE_NET_SERV_H
-#define LIBDRIZZLE_NET_SERV_H
+#ifndef PLUGIN_OLDLIBDRIZZLE_NET_SERV_H
+#define PLUGIN_OLDLIBDRIZZLE_NET_SERV_H
 
 
 #define net_new_transaction(net) ((net)->pkt_nr=0)
@@ -100,4 +100,4 @@
 }
 #endif
 
-#endif
+#endif /* PLUGIN_OLDLIBDRIZZLE_NET_SERV_H */

=== modified file 'plugin/oldlibdrizzle/oldlibdrizzle.h'
--- plugin/oldlibdrizzle/oldlibdrizzle.h	2009-08-04 23:53:45 +0000
+++ plugin/oldlibdrizzle/oldlibdrizzle.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLED_PLUGIN_OLDLIBDRIZZLE_H
-#define DRIZZLED_PLUGIN_OLDLIBDRIZZLE_H
+#ifndef PLUGIN_OLDLIBDRIZZLE_OLDLIBDRIZZLE_H
+#define PLUGIN_OLDLIBDRIZZLE_OLDLIBDRIZZLE_H
 
 #include <drizzled/plugin/listen.h>
 #include <drizzled/plugin/protocol.h>
@@ -97,4 +97,4 @@
   virtual bool store(const char *from, size_t length);
 };
 
-#endif /* DRIZZLED_PLUGIN_OLDLIBDRIZZLE_H */
+#endif /* PLUGIN_OLDLIBDRIZZLE_OLDLIBDRIZZLE_H */

=== modified file 'plugin/oldlibdrizzle/options.h'
--- plugin/oldlibdrizzle/options.h	2009-03-31 07:57:46 +0000
+++ plugin/oldlibdrizzle/options.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef LIBDRIZZLECLIENT_DRIZZLE_OPTIONS_H
-#define LIBDRIZZLECLIENT_DRIZZLE_OPTIONS_H
+#ifndef PLUGIN_OLDLIBDRIZZLE_OPTIONS_H
+#define PLUGIN_OLDLIBDRIZZLE_OPTIONS_H
 
 #ifdef  __cplusplus
 extern "C" {
@@ -76,4 +76,4 @@
 }
 #endif
 
-#endif /* LIBDRIZZLECLIENT_DRIZZLE_OPTIONS_H */
+#endif /* PLUGIN_OLDLIBDRIZZLE_OPTIONS_H */

=== modified file 'plugin/oldlibdrizzle/pack.h'
--- plugin/oldlibdrizzle/pack.h	2009-04-03 20:40:31 +0000
+++ plugin/oldlibdrizzle/pack.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef LIBDRIZZLECLIENT_PACK_H
-#define LIBDRIZZLECLIENT_PACK_H
+#ifndef PLUGIN_OLDLIBDRIZZLE_PACK_H
+#define PLUGIN_OLDLIBDRIZZLE_PACK_H
 
 #include <stdint.h>
 
@@ -36,4 +36,4 @@
 }
 #endif
 
-#endif /* LIBDRIZZLECLIENT_PACK_H */
+#endif /* PLUGIN_OLDLIBDRIZZLE_PACK_H */

=== modified file 'plugin/oldlibdrizzle/password.h'
--- plugin/oldlibdrizzle/password.h	2009-02-21 02:48:50 +0000
+++ plugin/oldlibdrizzle/password.h	2009-08-30 00:26:17 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef LIBDRIZZLECLIENT_PASSWORD_H
-#define LIBDRIZZLECLIENT_PASSWORD_H
+#ifndef PLUGIN_OLDLIBDRIZZLE_PASSWORD_H
+#define PLUGIN_OLDLIBDRIZZLE_PASSWORD_H
 
 #include <stdint.h>
 
@@ -57,4 +57,4 @@
 }
 #endif
 
-#endif /* LIBDRIZZLECLIENT_PASSWORD_H */
+#endif /* PLUGIN_OLDLIBDRIZZLE_PASSWORD_H */

=== modified file 'plugin/oldlibdrizzle/vio.h'
--- plugin/oldlibdrizzle/vio.h	2009-03-31 08:49:15 +0000
+++ plugin/oldlibdrizzle/vio.h	2009-08-30 00:26:17 +0000
@@ -18,8 +18,8 @@
  * Purpose: include file for Vio that will work with C and C++
  */
 
-#ifndef LIBDRIZZLECLIENT_VIO_H
-#define	LIBDRIZZLECLIENT_VIO_H
+#ifndef PLUGIN_OLDLIBDRIZZLE_VIO_H
+#define	PLUGIN_OLDLIBDRIZZLE_VIO_H
 
 #include <sys/socket.h>
 #include <errno.h>
@@ -134,4 +134,4 @@
   char                  *read_buffer;   /* buffer for drizzleclient_vio_read_buff */
 };
 
-#endif /* LIBDRIZZLECLIENT_VIO_H */
+#endif /* PLUGIN_OLDLIBDRIZZLE_VIO_H */

=== modified file 'plugin/pool_of_threads/session_scheduler.h'
--- plugin/pool_of_threads/session_scheduler.h	2009-03-07 08:36:57 +0000
+++ plugin/pool_of_threads/session_scheduler.h	2009-08-30 00:26:17 +0000
@@ -13,6 +13,9 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
+#ifndef PLUGIN_POOL_OF_THREADS_SESSION_SCHEDULER_H
+#define PLUGIN_POOL_OF_THREADS_SESSION_SCHEDULER_H
+
 #include <event.h>
 
 class Session;
@@ -29,3 +32,5 @@
   bool thread_attach();
   void thread_detach();
 };
+
+#endif /* PLUGIN_POOL_OF_THREADS_SESSION_SCHEDULER_H */

